<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspFilterPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
	response.setHeader("Pragma", "No-cache");
	response.setHeader("Cache-Control", "no-cache");
	response.setDateHeader("Expires",0);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspFilterPage jspInfo = new JspFilterPage();
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->                       
<HTML>

<head>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>"></base>

	<title> Filters </title>

	<META name="COPYRIGHT" 
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR" 
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

<script language="JavaScript">
<!--
function go()
{
	var cList = new Array();
	var nList = new Array();

	for (var i=0; i<window.document.mainform.fList.length; i++)
	{
		f = window.document.mainform.fList[i].text;

		cList[i] = f.substring(0, f.indexOf("."));
		nList[i] = f.substring(f.indexOf(".")+1, f.length );
	}	

	window.document.mainform.creatorList.value = cList;
	window.document.mainform.nameList.value = nList;

	window.document.mainform.submit();
}

function defaultFilter()
{
	window.document.mainform.creatorEdit.value = 
		window.document.mainform.cList[window.document.mainform.cList.selectedIndex].value;
	window.document.mainform.nameEdit.value = "%";

	window.document.mainform.nameEdit.select();
}

function deleteFilter()
{
	if( window.document.mainform.fList.selectedIndex == -1 )
		return;

	window.document.mainform.fList[window.document.mainform.fList.selectedIndex] = null;

	window.document.mainform.creatorEdit.value = "";
	window.document.mainform.nameEdit.value = "";

	window.document.mainform.creatorEdit.focus();
}

function editFilter()
{
	f = window.document.mainform.fList[window.document.mainform.fList.selectedIndex].value;

	n = f.substring(0, f.indexOf(".") );
	c = f.substring(f.indexOf(".")+1, f.length );

	window.document.mainform.creatorEdit.value = n;
	window.document.mainform.nameEdit.value = c;

	window.document.mainform.creatorEdit.focus();
	window.document.mainform.creatorEdit.select();
}

function addFilter()
{
	if (window.document.mainform.creatorEdit.value.length < 1 ||
		window.document.mainform.nameEdit.value.length < 1)
	{
		alert("Please enter a valid filter first.");
		return;
	}

	filterName = window.document.mainform.creatorEdit.value
		+"."
		+window.document.mainform.nameEdit.value;

	for( i=0; i<window.document.mainform.fList.length; i++ )
	{
		if( window.document.mainform.fList[i].value == filterName )
		{
			alert("Filter is already in list.");
			return;
		}
	}

	var newFilter = new Option( filterName, filterName, false, true );

	if( window.document.mainform.fList.length != 0
		&& window.document.mainform.fList[0].value == "-1" )
		window.document.mainform.fList.length = 0;

	window.document.mainform.fList[window.document.mainform.fList.length] = newFilter;

	window.document.mainform.creatorEdit.value = "";
	window.document.mainform.nameEdit.value = "";

	window.document.mainform.creatorEdit.focus();

	// send the filter for processing.
	window.document.mainform.cmd.value = 'updatefilter';

	go();
}
//-->
</script>
</head>

<body bgcolor="FFFFFF" text="#000000" 
	link="#FFFFFF" atext="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus()">

<form method=post name="mainform" action="<%=webquerytool_cfg.getAppRoot()%>/FilterPage">
<input type=hidden name=op value="process">
<input type=hidden name=cmd value="update">
<input type=hidden name=creatorList>
<input type=hidden name=nameList>
<input type=hidden name=changeControl>

<%@ include file="pageheader.inc" %>

<TABLE width=90% align=center><TR><TD>

<table cellspacing=2 cellpadding=4 border=0 align=center>
<tr>
	<td valign=top align=center bgcolor="#6699CC">
		<font color="#FFFFFF" face=sans-serif size=-1>
			<b>Creators:</b>
		</font>
	</td>

	<td bgcolor=#FFFFFF width=35>
		<font color="#FFFFFF" face=sans-serif size=-1>
			&nbsp;
		</font>
	</td>

	<td valign=top align=center bgcolor="#6699CC">
		<font color="#FFFFFF" face=sans-serif size=-1>
			<b>Filter:</b>
		</font>
	</td>

	<td valign=top align=center bgcolor="#6699CC">
		<font color="#FFFFFF" face=sans-serif size=-1>
			<b>List:</b>
		</font>
	</td>
</tr>

<tr>
	<td valign=top align=center bgcolor="#C0C0C0">
		<SELECT name="cList" size=10 onChange="defaultFilter()">
			<OPTION value="%">
				[ALL]
			</OPTION>
<% 	for( int i=0; i < uc.getAliasList().size(); i++) { %>
			<OPTION value="<%= uc.getAliasList().elementAt(i) %>">
				<%= uc.getAliasList().elementAt(i) %>
			</OPTION>
<% 	} %>
		</SELECT>
	</td>

	<td bgcolor=#FFFFFF width=35>
		<font color="#FFFFFF" face=sans-serif size=-1>
			&nbsp;
		</font>
	</td>

	<td valign=top align=left bgcolor="#C0C0C0">
		<font face=sans-serif size=-1>
			<b>Creator</b> <br>
			<input type="text" name="creatorEdit" size=10>
			<br>

			<b>Name</b> <br>
			<input type="text" name="nameEdit" size=10>
			<br>

			<p align=center>
			<input type=button value="Add"
				accessKey="a"
				style="font-color:000000" style="background:C0C0C0" style="font-size:12"
				onClick="javascript:addFilter()">

			<input type=button value="Remove"
				accessKey="r"
				style="font-color:000000" style="background:C0C0C0" style="font-size:12"
				onClick="javascript:deleteFilter()">
			</p>
    	</font>
	</td>

	<td valign=top align=center bgcolor="#C0C0C0">
		<SELECT name="fList" size=10 onChange="editFilter()">
<% 	for (int i=0; i < uc.getFilter().size(); i++)
	{
		String [] filter = (String[]) uc.getFilter().elementAt(i);
%>
			<OPTION value=<%= filter[0] %>.<%= filter[1] %>>
				<%= filter[0] %>.<%= filter[1] %>
			</OPTION>
<% 	} %>

			<OPTION value="-1">
				&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;
				&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;
			</OPTION>
		</SELECT>
	</td>
</tr>
</table>

</TD></TR></TABLE>

</form>

<script language="JavaScript">
<!--
	if( <%= webquerytool_ui.getReloadMenu() %> )
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');

	if( window.document.mainform.fList.length > 0 )
		window.document.mainform.fList[ window.document.mainform.fList.length-1 ] = null;

	window.document.mainform.creatorEdit.focus();
//-->
</script>

</body>

</html>
