<%@	page language="java"  %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@	page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.*" %>
<%@ page import="com.ibm.db2.cwq.compare.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.compare.Pair" %>
<%@ page import="com.ibm.db2.cwq.compare.SourceObj" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="compare_ui" class="com.ibm.db2.cwq.compare.Settings" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);


    // -----------------------------------------
    // Header
    String pageName = "compare/Properties.jsp";

    String headerTitle = "Compare : Properties";

    boolean headerShowMsg = true;
    boolean headerChangeCon = true;
    boolean headerQuickHelp = true;

    // ---------------------------------------
    // Left Menu
    String[] headerLeft = 
    	{ 
			"Setup", "javascript:go('session');",
			"Properties", "javascript:go('properties');",
			"Options", "javascript:go('options');",
			"Report", "javascript:go('report')"
    	};

    // ---------------------------------------
    // Right Menu
    String headerRightTitle = "Properties";

    String[] headerRight = 
    	{
			"Update", "javascript:go('propsave')",
			"Default", "javascript:go('propsavedef')"
		};

    // ---------------------------------------
    // Quick Help
	String headerHelpText = 
		"Compare Properties"
		+"<p>"
		+"<b>Objects To Compare</b>"
		+"<br>"
		+"Use the drop down menu to select the pair of objects."
		+"<p>"
		+"<b>Properties</b>"
		+"<br>"
		+"This display shows how the objects will be compared. Use the controls to set rows, match conditions, and column mapping. "
		+"Click <i>Swap</i> to switch the source and target. "
		+"Establish the order of compare for the columns. Use <i>Column match by:</i> to quickly link the columns. Manual can be selected to define a custom mapping. "
		+"<p>"
		+"Click <i>Update</i> to save the properties for the selected data pair. "
		+"Click <i>Default</i> to save the properties and update the default properties for new pairs. ";


    // ---------------------------------------
	// OPTIONS
	Pair p = 
		new Pair();
	p = (Pair)
		compare_ui.getPairs().elementAt( compare_ui.getSelectedPair() );
	String checked = new String();

	Enumeration pe = null;
	String pkey = new String();
	int pi = 0;
	
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->                       
<!--information, the terms of which must be observed and followed.    -->                       

<HTML>

<head>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<title> Compare - Properties </title>

	<META name="COPYRIGHT" 
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR" 
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000" 
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/Compare"> 

<input type=hidden name="op" value="process">
<input type=hidden name="page" value="properties">
<input type=hidden name="cmd" value="">

<%@ include file="../header.inc" %>


<TABLE width=90% align=center><TR><TD>


<TABLE border=0 cellspacing=0 cellpadding=3 align=center width=100%>
<TR bgcolor="#6699CC">
	<TD colspan=5 align=left>
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		<b>Objects To Compare:</b>
		</font>
	</TD>
</TR>
<TR>
	<TD colspan=5 align=center bgcolor="#C0C0C0">
		<font face="arial,sans-serif" size=-1>
		<SELECT size=1 name=sessionList onChange="go('propselect');">
<%	Pair sesPair = 
		new Pair();

	for( int sesi=0; sesi<compare_ui.getPairs().size(); sesi++ )
	{ 
		sesPair = (Pair) 
			compare_ui.getPairs().elementAt(sesi); 
		checked = "";
		if( sesi == compare_ui.getSelectedPair() )
			checked = "selected";
		%>
			<OPTION value=<%= sesi %> <%= checked %>>
				(<%= sesPair.getSource().getTypeName() %>)
				<%= sesPair.getSource().getConName() %>.<%= sesPair.getSource().getName() %> 
				::
				(<%= sesPair.getTarget().getTypeName() %>)
				<%= sesPair.getTarget().getConName() %>.<%= sesPair.getTarget().getName() %>
			</OPTION>
<%	} %>
			<OPTION value=-1>----------------------------------------</OPTION>
		</SELECT>
		</font>

		<br>
		<br>
	</TD>
</TR>
</TABLE>

<br>

<TABLE border=0 cellspacing=1 cellpadding=4 align=center width=100% bgcolor="#FFFFFF">
<TR>
	<TD colspan=5 bgcolor="#6699CC" align="left">
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		<b>Properties:</b>
		</font>
	</TD>
</TR>

<TR bgcolor="#C0C0C0">
	<TD align=center colspan=2 bgcolor=#006600>
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		<b>Source</b>
		(<%= sesPair.getSource().getTypeName() %>)
		<br>
		<%= sesPair.getSource().getConName() %> <%= sesPair.getSource().getName() %> 
		</font>
	</TD>

	<TD align=center bgcolor=#C0C0C0 valign=middle>
		<font face="arial,sans-serif" size=-1>
		<INPUT type=button name=swap
			value="<- Swap ->" 
			style="font-color:000000" style="background:C0C0C0" style="font-size:12"
			onClick="go('propswap')">
		</font>
	</TD>

	<TD align=center colspan=2 bgcolor=#660000>
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		<b>Target</b>
		(<%= sesPair.getTarget().getTypeName() %>)
		<br>
		<%= sesPair.getTarget().getConName() %> <%= sesPair.getTarget().getName() %>
		</font>
	</TD>
</TR>

<TR valign=top>
	<TD colspan=2 bgcolor=#006600>
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		
		<INPUT type=radio name=srcRowSelect value=all 
			style="background : #006600; color : black"
			<%= p.isSourceAllRows()?"checked":"" %>> All
		<br>

		<nobr>
		<INPUT type=radio name=srcRowSelect value=rows
			style="background : #006600; color : black"
			<%= p.isSourceAllRows()?"":"checked" %>> Rows
		<INPUT type=text size=3 name=srcRowStart 
			value="<%= p.getSourceStart() %>"> 
		to
		<INPUT type=text size=3 name=srcRowEnd 
			value="<%= p.getSourceEnd() %>"> 
		</nobr>

		
		</font>
	</TD>

	<TD align=left valign=middle bgcolor=#C0C0C0>
		<font face="arial,sans-serif" size=-1 color="#000000">
		<b>Row Limit:</b>
		<br>
		<INPUT type=text name=rowLimit size=3 value="<%= p.getRowLimit() %>">
		</font>
	</TD>

	<TD colspan=2 bgcolor=#660000>
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		
		<INPUT type=radio name=tarRowSelect value=all
			style="background : #660000; color : black"
			<%= p.isTargetAllRows()?"checked":"" %>> All
		<br>

		<nobr>
		<INPUT type=radio name=tarRowSelect value=rows
			style="background : #660000; color : black"
			<%= p.isTargetAllRows()?"":"checked" %>> Rows
		<INPUT type=text size=3 name=tarRowStart 
			value="<%= p.getTargetStart() %>"> 
		to
		<INPUT type=text size=3 name=tarRowEnd 
			value="<%= p.getTargetEnd() %>"> 
		</nobr>

		
		</font>
	</TD>
</TR>

<TR valign=top bgcolor="#C0C0C0">
	<td width=30% valign=bottom bgcolor=#006600>
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		<b>Column</b>
		</font>
	</td>

	<td valign=bottom bgcolor=#006600>
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		<b>Match</b>
		</font>
	</td>

	<td align=center valign=middle bgcolor="#C0C0C0">
		<font face="arial,sans-serif" size=-1 color="#000000">
		<b>Column match by:</b>
		<br>
		<SELECT name="order" size=1 onChange="go('propsave');">
			<OPTION value="<%= p.BY_ORDER %>" 
				<%= p.getOrder()==p.BY_ORDER?"selected":"" %> >Order</OPTION>
			<OPTION value="<%= p.BY_NAME %>" 
				<%= p.getOrder()==p.BY_NAME?"selected":"" %> >Name</OPTION>
			<OPTION value="<%= p.BY_NAMEDATA %>" 
				<%= p.getOrder()==p.BY_NAMEDATA?"selected":"" %> >Name/Data Type</OPTION>
			<OPTION value="<%= p.BY_MANUAL %>" 
				<%= p.getOrder()==p.BY_MANUAL?"selected":"" %> >Manual</OPTION>
		</SELECT>
		</font>
	</td>

	<td width=30% valign=bottom bgcolor=#660000>
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		<b>Column</b>
		</font>
	</td>

	<td valign=bottom bgcolor=#660000>
		<font face="arial,sans-serif" size=-1 color="#FFFFFF">
		<b>Match</b>
		</font>
	</td>
</TR>


<%	SourceObj s = p.getSource();
	boolean scol = false;

	SourceObj t = p.getTarget();
	boolean tcol = false;

	for( int c=0; c<s.getWqml().getColumnCount() || c<t.getWqml().getColumnCount(); c++ )
	{
		scol = false;
		if( c < s.getWqml().getColumnCount() )
			scol = true;
		tcol = false;
		if( c < t.getWqml().getColumnCount() )
			tcol = true;
%>
<TR valign=top bgcolor="#C0C0C0">
	<td>
<%		if( scol ) { %>
		<font face="arial,sans-serif" size=-1>
		<%= ((Properties) s.getWqml().getColumnDef(c)).get("name") %>
		</font> 
		<br>
		<font face="arial,sans-serif" size=-2 color="#0000FF">
		(<%= ((Properties) s.getWqml().getColumnDef(c)).get("type") %>)
		</font>
<%		} else { %>
		&nbsp;
<%		} %>
	</td>
	<td>
		<font face="arial,sans-serif" size=-1>
<%		if( scol ) { %>
		<INPUT type=text size=10 name="srcMatch<%= c %>" 
<%			if( ((Properties)s.getWqml().getColumnDef(c)).get("match") != null ) { %>
			value="<%= ((Properties)s.getWqml().getColumnDef(c)).get("match") %>" >
<%			} else { %>
			value="" >
<%			} %>
<%		} else { %>
		&nbsp;
<%		} %>
		</font>
	</td>

	<td align=center>
<%		if( scol ) { %>
		<font face="arial,sans-serif" size=-1 color="#FFFF00">
<%			if( p.getOrder() == p.BY_MANUAL ) { %>
		<SELECT name=swapmatch<%= c %>>
			<OPTION value="-1">[OMIT]</OPTION>
<%				for( int j=0; j<t.getWqml().getColumnCount(); j++ ) 
				{
					if( ((Properties)t.getWqml().getColumnDef(j)).get("name")
						.equals(
						((Properties)s.getWqml().getColumnDef(c)).get("compareto")
						)
						)
						checked = "selected";
					else
						checked = "";
%>
			<OPTION value="<%= j %>" <%= checked %>>
				<%= ((Properties)t.getWqml().getColumnDef(j)).get("name") %>
			</OPTION>
<%				} %>
<%			} else { %>
			<OPTION>
			<B>
			<%= ((Properties)s.getWqml().getColumnDef(c)).get("compareto") %>
			</B>
			</OPTION>
<%		 	} %>

		</SELECT>
<%		} else { %>
		&nbsp;
<%		} %>
		</font>

	</td>

	<td>
<%		if( tcol ) { %>
		<font face="arial,sans-serif" size=-1>
		<%= ((Properties) t.getWqml().getColumnDef(c)).get("name") %>
		</font> 
		<br>
		<font face="arial,sans-serif" size=-2 color="#0000FF">
		(<%= ((Properties) t.getWqml().getColumnDef(c)).get("type") %>)
		</font>
<%		} else { %>
		&nbsp;
<%		} %>
	</td>

	<td>
		<font face="arial,sans-serif" size=-1>
<%		if( tcol ) { %>
		<INPUT type=text size=10 name="tarMatch<%= c %>"
<%			if( ((Properties)t.getWqml().getColumnDef(c)).get("match") != null ) { %>
			value="<%= ((Properties)t.getWqml().getColumnDef(c)).get("match") %>" >
<%			} else { %>
			value="" >
<%			} %>
<%		} else { %>
		&nbsp;
<%		} %>
		</font>
<% 	} %>
	</TD>
</TR>
</TABLE>


</TD></TR></TABLE>

</FORM>

</body>

</html>
