<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="java.util.Enumeration" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspChartWizPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="cwqChartMd" class="com.rocketsoftware.svg.charts.MetaData.MetaData" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	
	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);


	JspChartWizPage jspInfo = new JspChartWizPage();


	Enumeration e = null;
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->                       

<HTML>

<head>
	<title> <%= jspInfo.getTitle() %> </title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT" 
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR" 
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
	
	<SCRIPT language="JavaScript">
	<!--
		function goChart( page )
		{
			document.forms[0].cmd.value = page;
			
			document.forms[0].target = "_TOP";
			document.forms[0].submit();
		}

		function goCancel( page )
		{
			document.forms[0].cmd.value = page;
			
			document.forms[0].target = "";
			document.forms[0].submit();
		}

		function goChartPage( page )
		{
			document.forms[0].nextpage.value = page;
			document.forms[0].cmd.value = "switchpage";

			document.forms[0].target = "";
			document.forms[0].submit();
		}
		
		function goRefreshChart()
		{
			document.forms[0].cmd.value = "refresh";

			document.forms[0].target = "";
			document.forms[0].submit();
		}
	//-->
	</SCRIPT>

</head>

<body bgcolor="FFFFFF" text="#000000" 
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/ChartWorkbench"> 

<input type=hidden name="page" value="chartOptions">
<input type=hidden name="nextpage">
<input type=hidden name="op" value="process">
<input type=hidden name="cmd" value="">

<%@ include file="../pageheader.inc" %>

<TABLE width=90% align=center><TR><TD>

	<%	// -------------------------------------------
		// XSL Options
		// ------------------------------------------- %>

	<table border=0 cellpadding=4 cellspacing=0 align=center bgcolor="#FFFFFF" width=100%>
	<tr bgcolor="#6699CC">
		<td>
			<font size=-1 color="#FFFFFF" face="sans-serif">
			<b>
			Title:
			</b>
			</font>
		</td>
		
		<td>
			<font size=-1 color="#FFFFFF" face="sans-serif">
			<b>
			Background:
			</b>
			</font>
		</td>
	</tr>
			
	
	<tr valign=top bgcolor="#C0C0C0">
		<td>
		<%	// -------------------------------------------
			// Title
			// ------------------------------------------- %>
			<TABLE bgcolor="#FFFFFF" align="center" cellspacing="0" cellpadding="4" border="0">
			<TR bgcolor="#C0C0C0">
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<b>
					Font Face:
					</b>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<select name=titleFont size=1>
				<%	e = cwqChartMd.GetFontList();
					while( e.hasMoreElements() )
					{
						String k = (String) e.nextElement();
				%>
						<option value="<%= k %>" <%= cwqChartMd.GetTitleFont().equals(k) ? "selected" : "" %>>
							<%= k %>
						</option>
				<%	} %>
					</select>
					</font>
				</TD>
			</TR>

			<TR bgcolor="#C0C0C0">
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<b>
					Font Color:
					</b>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<select name=titleFontColor size=1>
				<%	e = cwqChartMd.GetColorList();
					while( e.hasMoreElements() )
					{
						String k = (String) e.nextElement();
				%>
						<option value="<%= k %>" <%= cwqChartMd.GetTitleColor().equals(k) ? "selected" : "" %>>
							<%= k %>
						</option>
				<%	} %>
					</select>
					</font>
				</TD>
			</TR>
			</TABLE>
		</td>
		
		<td>
		<%	// -------------------------------------------
			// background
			// ------------------------------------------- %>
			<TABLE bgcolor="#FFFFFF" align="center" cellspacing="0" cellpadding="4" border="0">
			<TR bgcolor="#C0C0C0">
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<b>
					Color:
					</b>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<select name=bgColor size=1>
				<%	e = cwqChartMd.GetColorList();
					while( e.hasMoreElements() )
					{
						String k = (String) e.nextElement();
				%>
						<option value="<%= k %>" <%= cwqChartMd.GetBackgroundColor().equals(k) ? "selected" : "" %>>
							<%= k %>
						</option>
				<%	} %>
					</select>
					</font>
				</TD>
			</TR>
			</TABLE>
		</td>
	</tr>	
	
	<tr bgcolor="#6699CC">
		<td>
			<font size=-1 color="#FFFFFF" face="sans-serif">
			<b>
			X-Axis:
			</b>
			</font>
		</td>
		
		<td>
			<font size=-1 color="#FFFFFF" face="sans-serif">
			<b>
			Y-Axis:
			</b>
			</font>
		</td>
	</tr>
	
	<tr valign=top bgcolor="#C0C0C0">
		<td>
		<%	// -------------------------------------------
			// X axis
			// ------------------------------------------- %>
			<TABLE bgcolor="#FFFFFF" align="center" cellspacing="0" cellpadding="4" border="0">
			<TR bgcolor="#C0C0C0">
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<b>
					Font Face:
					</b>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<select name=xAxisFont size=1>
				<%	e = cwqChartMd.GetFontList();
					while( e.hasMoreElements() )
					{
						String k = (String) e.nextElement();
				%>
						<option value="<%= k %>" <%= cwqChartMd.Xaxis.GetFont().equals(k) ? "selected" : "" %>>
							<%= k %>
						</option>
				<%	} %>
					</select>
					</font>
				</TD>
			</TR>
	
			<TR bgcolor="#C0C0C0">
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<b>
					Font Color:
					</b>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<select name=xAxisFontColor size=1>
				<%	e = cwqChartMd.GetColorList();
					while( e.hasMoreElements() )
					{
						String k = (String) e.nextElement();
				%>
						<option value="<%= k %>" <%= cwqChartMd.Xaxis.GetColor().equals(k) ? "selected" : "" %>>
							<%= k %>
						</option>
				<%	} %>
					</select>
					</font>
				</TD>
			</TR>
			</TABLE>
		</td>
		
		<td>
		<%	// -------------------------------------------
			// y-axis
			// ------------------------------------------- %>
			<TABLE bgcolor="#FFFFFF" align="center" cellspacing="0" cellpadding="4" border="0">
			<TR bgcolor="#C0C0C0">
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<b>
					Font Face:
					</b>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<select name="yAxisFont" size="1">
				<%	e = cwqChartMd.GetFontList();
					while( e.hasMoreElements() )
					{
						String k = (String) e.nextElement();
				%>
						<option value="<%= k %>" <%= cwqChartMd.Yaxis.GetFont().equals(k) ? "selected" : "" %>>
							<%= k %>
						</option>
				<%	} %>
					</select>
					</font>
				</TD>
			</TR>
	
			<TR bgcolor="#C0C0C0">
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<b>
					Font Color:
					</b>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<select name=yAxisFontColor size=1>
				<%	e = cwqChartMd.GetColorList();
					while( e.hasMoreElements() )
					{
						String k = (String) e.nextElement();
				%>
						<option value="<%= k %>" <%= cwqChartMd.Yaxis.GetColor().equals(k) ? "selected" : "" %>>
							<%= k %>
						</option>
				<%	} %>
					</select>
					</font>
				</TD>
			</TR>
			</TABLE>
		</td>
	</tr>	

	<tr bgcolor="#6699CC">
		<td colspan="2">
			<font size=-1 color="#FFFFFF" face="sans-serif">
			<b>
			Preview:
			</b>
			</font>
		</td>
	</tr>

	<tr bgcolor="#C0C0C0">
		<td align="center" valign="middle">
			<font size=-1 color="#FFFFFF" face="sans-serif">
				<input type=button
					style="font-size:12" style="font-color:000000" style="background:C0C0C0"
					onClick="goRefreshChart();"
					value="Update">

			</font>
		</td>
		
		<td align="center" valign="middle">
			<font size=-1 color="#FFFFFF" face="sans-serif">
			
			<EMBED src="<%=webquerytool_cfg.getAppRoot()%>/ChartWorkbench?cmd=genchart"
				width="160" height="120" TYPE="image/svg+xml">

			</font>
		</td>
	</tr>
	<tr bgcolor="#C0C0C0">
		<td colspan=2 align=center>
			<font size=-1 color="#000000" face="sans-serif">
			Preview requires <a href="http://www.adobe.com/svg/" target="_TOP">Adobe SVG Viewer</a>.
			</font>
		</td>
	</tr>
	</table>

</TD></TR></TABLE>

</form>

<script language="JavaScript">
<!--
	if (<%= webquerytool_ui.getReloadMenu() %>)
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</script>

</body> 

</html> 
