<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="java.io.File" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspChartWizPage" %>
<%@ page import="com.rocketsoftware.svg.charts.MetaData.MetaData" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="cwqChartMd" class="com.rocketsoftware.svg.charts.MetaData.MetaData" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspChartWizPage jspInfo = new JspChartWizPage();
	
	Enumeration e = null;
%>


<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->                       
                    
<HTML>

<head>
	<title> <%= jspInfo.getTitle() %> </title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT" 
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR" 
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

	<SCRIPT language="JavaScript">
	<!--
		function goChart( page )
		{
			document.forms[0].cmd.value = page;
			
			document.forms[0].target = "_TOP";
			document.forms[0].submit();
		}

		function goCancel( page )
		{
			document.forms[0].cmd.value = page;
			
			document.forms[0].target = "";
			document.forms[0].submit();
		}

		function goChartPage( page )
		{
			document.forms[0].nextpage.value = page;
			document.forms[0].cmd.value = "switchpage";

			document.forms[0].target = "";
			document.forms[0].submit();
		}

		function goRefreshChart()
		{
			document.forms[0].cmd.value = "refresh";

			document.forms[0].target = "";
			document.forms[0].submit();
		}
	//-->
	</SCRIPT>
	
</head>

<body bgcolor="FFFFFF" text="#000000" 
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/ChartWorkbench"> 

<input type=hidden name="page" value="chartSetup">
<input type=hidden name="nextpage" value="">
<input type=hidden name="op" value="process">
<input type=hidden name="cmd" value="">

<%@ include file="../pageheader.inc" %>

<TABLE width=90% align=center><TR><TD>

	<table border=0 cellpadding=4 cellspacing=0 align=center bgcolor="#FFFFFF" width=100%>
	<tr bgcolor="#6699CC">
		<td colspan=2>
			<font size=-1 color="#FFFFFF" face="sans-serif">
			<b>
			Setup:
			</b>
			</font>
		</td>
	</tr>
			
	
	<tr valign=top bgcolor="#C0C0C0">
		<td align="center" colspan=2>
		<%	// -------------------------------------------
			// Create new template
			// ------------------------------------------- %>
			<br>
			
			<TABLE bgcolor="#FFFFFF" align="center" cellspacing="0" cellpadding="4" border="0">
			<TR bgcolor="#C0C0C0">
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<b>
					Type:
					</b>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<SELECT name="chartType" size="1" onChange="goRefreshChart()">
				<%	e = cwqChartMd.GetChartTypeList();
					while( e.hasMoreElements() )
					{
						String k = (String) e.nextElement(); 
				%>
						<OPTION value="<%= k %>" <%= k.equals(cwqChartMd.GetType()) ? "selected" : "" %>>
							<%= k %>
						</OPTION>
				<%	} %>
					</SELECT>
					</font>
				</TD>
			</TR>

			<TR bgcolor="#C0C0C0">
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<b>
					Style:
					</b>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<SELECT name="chartStyle" size="1">
				<%	e = cwqChartMd.GetChartStyleList();
					while( e.hasMoreElements() )
					{
						String k = (String) e.nextElement();
				%>
						<OPTION value="<%= k %>" <%= k.equals(cwqChartMd.GetStyle()) ? "selected" : "" %>>
							<%= k %>
						</OPTION>
				<% 	} %>
					</SELECT>
					</font>
				</TD>
			</TR>

			<TR bgcolor="#C0C0C0">
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<b>
					Orientation:
					</b>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<SELECT name="chartOrient" size="1">
						<OPTION value="columns" <%= cwqChartMd.GetOrientation().equals("columns") ? "selected" : "" %>>
							Columns
						</OPTION>
						<OPTION value="rows" <%= cwqChartMd.GetOrientation().equals("rows") ? "selected" : "" %>>
							Rows
						</OPTION>
					</SELECT>
					</font>
				</TD>
			</TR>
					
			<TR bgcolor="#C0C0C0">
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<INPUT type="checkbox" name="chartRowLabels" <%= cwqChartMd.GetRowLabels() ? "checked" : "" %>> 
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					Use the first column as row lables.
					</font>
				</TD>
			</TR>

			<TR bgcolor="#C0C0C0">
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<b>
					Chart Title:
					</b>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<INPUT type="text" name="chartTitle" value="<%= cwqChartMd.GetTitle() %>"> 
					</font>
				</TD>
			</TR>

			<TR bgcolor="#C0C0C0">
				<TD align="right">
					<font size=-1 color="#000000" face="sans-serif">
					<b>
					Chart Size:
					</b>
					</font>
				</TD>
				<TD>
					<font size=-1 color="#000000" face="sans-serif">
					<INPUT type="text" name="chartSizeX" value="<%= cwqChartMd.GetImageWidth() %>" size="3"> 
					by
					<INPUT type="text" name="chartSizeY" value="<%= cwqChartMd.GetImageHeight() %>" size="3"> 
					</font>
				</TD>
			</TR>
			</TABLE>
			
			<br>
		</td>
	</tr>	


	<tr bgcolor="#6699CC">
		<td colspan=2>
			<font size=-1 color="#FFFFFF" face="sans-serif">
			<b>
			Preview:
			</b>
			</font>
		</td>
	</tr>

	<tr bgcolor="#C0C0C0">
		<td align="center" valign="middle">
			<font size=-1 color="#FFFFFF" face="sans-serif">
				<input type=button
					onClick="goRefreshChart();"
					style="font-size:12" style="font-color:000000" style="background:C0C0C0"
					value="Update">

			</font>
		</td>
			
		<td align="center" valign="middle">
			<font size=-1 color="#FFFFFF" face="sans-serif">

			<EMBED src="<%=webquerytool_cfg.getAppRoot()%>/ChartWorkbench?cmd=genchart"
				width="160" height="120" TYPE="image/svg+xml">
				
			</font>
		</td>
	</tr>
	<tr bgcolor="#C0C0C0">
		<td colspan=2 align=center>
			<font size=-1 color="#000000" face="sans-serif">
			Preview requires <a href="http://www.adobe.com/svg/" target="_TOP">Adobe SVG Viewer</a>.
			</font>
		</td>
	</tr>
	</table>

</TD></TR></TABLE>

</form>

<script language="JavaScript">
<!--
	if (<%= webquerytool_ui.getReloadMenu() %>)
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</script>

</body> 

</html> 
