<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspImportPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspImportPage jspInfo = new JspImportPage();
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<title><%= jspInfo.getTitle() %></title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>"></base>

	<META name="COPYRIGHT" 
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR" 
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000" 
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/Import" ENCTYPE="multipart/form-data">

<input type=hidden name=op value=process>
<input type=hidden name=page value=types>
<input type=hidden name=cmd value="">

<%@ include file="../pageheader.inc" %>

<TABLE width=90% align=center><TR><TD>

	<table border=0 cellpadding=2 cellspacing=2 align=center width=100%>
	<tr bgcolor="#6699CC" valign=top>
		<td align=left>
			<font color="#FFFFFF" face=sans-serif size=-1>
			<b><%= jspInfo.get("TypeHeader") %></b>
			</font>
		</td>
	
		<td align=left>
			<font color="#FFFFFF" face=sans-serif size=-1>
			<b><%= jspInfo.get("LocationHeader") %></b>
			</font>
		</td>
	</tr>
	
	<tr bgcolor="#C0C0C0" valign=top>
		<td valign=middle align=left>
			<font face=sans-serif size=-1>
	
			&nbsp; &nbsp; &nbsp;
			1: <input style="background : #C0C0C0; color : black"
				accesskey="1"
				type=radio name=ImportType value="xml" 
				<%= webquerytool_ui.getImportFormat().equals("xml")?"checked":"" %>>
				<nobr><%= jspInfo.get("TypeXml") %></nobr> <br>
	
			&nbsp; &nbsp; &nbsp;
			2: <input type=radio name=ImportType value="delim" 
				accesskey="2"
				<%= webquerytool_ui.getImportFormat().equals("ltd")?"checked":"" %>>
				<nobr><%= jspInfo.get("TypeDel") %></nobr> <br>
	
			&nbsp; &nbsp; &nbsp;
			3: <input type=radio name=ImportType value="fix"
				accesskey="3"
				<%= webquerytool_ui.getImportFormat().equals("fix")?"checked":"" %>>
				<nobr><%= jspInfo.get("TypeTxt") %></nobr> <br>
	
			&nbsp; &nbsp; &nbsp;
			4: <input type=radio name=ImportType value="html"
				accesskey="4"
				<%= webquerytool_ui.getImportFormat().equals("html")?"checked":"" %>>
				<nobr><%= jspInfo.get("TypeHtml") %></nobr> <br>
				</font>
		</td>
	
		<td align=left>
			<font face=sans-serif size=-1>
			<%= jspInfo.get("LocationFile") %>
			<br>
			<input size="30" type="file" 
				style="font-size:12"
				accesskey="b"
				name="ImportPath">
	
			<br>
			<br>
	
			<%= jspInfo.get("LocationUrl") %>
			<br>
			<input size="30" type="text" 
				accesskey="u"
				style="font-size:12"
				name="ImportURL">
	
			<br>
			<br>
		</td>
	</tr>
	</table>

</TD></TR></TABLE>

</form>
<script language="JavaScript">
<!--
	if (<%= webquerytool_ui.getReloadMenu() %>)
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</script>
</body>
</html>
