<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);



    // -----------------------------------------
    // Header
    String pageName = "import/ImportDelimited.jsp";

    String headerTitle = "Delimited Text Options";

    boolean headerShowMsg = true;
    boolean headerChangeCon = true;
    boolean headerQuickHelp = true;

    // ---------------------------------------
    // Left Menu
    String[] headerLeft = 
    	{ 
    		"Select", "go('next')", 
    		"Previous", "go('prev')"
    	};

    // ---------------------------------------
    // Right Menu
    String headerRightTitle = "";

    String[] headerRight = new String[0];

    // ---------------------------------------
    // Quick Help
	String headerHelpText = 
		"Delimited Text Options"
		+"<p>"
		+"Select delimiters and options to use for importing. "
		+"<p>"
		+"Click <i>Select</i> to continue with the import. "
		+"Click <i>Previous</i> to start over.";

%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<TITLE>Text Import Delimited</TITLE>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT" 
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR" 
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</HEAD>

<body bgcolor="FFFFFF" text="#000000" 
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/Import">

<input type=hidden name=op value=process>
<input type=hidden name=page value=delim>
<input type=hidden name=cmd value="">

<%@ include file="../header.inc" %>

<TABLE width=90% align=center><TR><TD>

	<table border=0 cellspacing=1 cellpadding=0 align=center width=100%>
	<TR>
		<td colspan=2 bgcolor="#6699CC">
			<font color="#FFFFFF" face=sans-serif size=-1>
			<b>Column Header</b>
			</font>
		</td>
	</TR>
	
	<TR>
		<td colspan=2 bgcolor="#C0C0C0">
			<font face=sans-serif size=-1>
	
			<input type=checkbox name=header value="<%=webquerytool_ui.getHeader()%>" checked> 
				Use first row as header.
			</font>
	
			<br>
			<br>
		</td>
	</TR>
	
	<TR>
		<td bgcolor="#6699CC">
			<font color="#FFFFFF" face=sans-serif size=-1>
			<b>Field Delimiters</b>
			</font>
		</td>
	
		<td bgcolor="#6699CC">
			<font color="#FFFFFF" face=sans-serif size=-1>
			<b>Value Delimiters</b>
			</font>
		</td>
	</TR>
	
	<TR align=left valign=top>
		<td bgcolor="#C0C0C0">
			<font face=sans-serif size=-1>
			<ul>
				<input type=radio name="FieldDel" value="t" checked>Tab (\t) <br>
				<input type=radio name="FieldDel" value="c">Comma (,) <br>
				<input type=radio name="FieldDel" value="s">Semicolon (;) <br>
				<input type=radio name="FieldDel" value="p">Space ( ) <br>
				<br>
				Other: <INPUT size="5" type="text" name="FieldDelOther">
			</ul>
			</font>
		</td>
	
		<td bgcolor="#C0C0C0">
			<font face=sans-serif size=-1>
			<ul>
				<input type=radio name="ValueDel" value="n" checked>None <br>
				<input type=radio name="ValueDel" value="q">Quote (") <br>
				<input type=radio name="ValueDel" value="t">Apostrophe (') <br>
				&nbsp; <br>
				<br>
				Other: <INPUT size="5" type="text" name="ValueDelOther">
			</ul>
			</font>
		</td>
	</TR>
	</table>

</TD></TR></TABLE>

</form>
<script language="JavaScript">
<!--
if (<%= webquerytool_ui.getReloadMenu() %>)
	window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</script>
</body>
</html>



