<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	UserConnection uc =webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);


    // -----------------------------------------
    // Header
    String pageName = "import/ImportHTML.jsp";

    String headerTitle = "Import HTML Table";

    boolean headerShowMsg = true;
    boolean headerChangeCon = true;
    boolean headerQuickHelp = true;

    // ---------------------------------------
    // Left Menu
    String[] headerLeft = 
    	{ 
    		"Select", "go('next')", 
    		"Previous", "go('prev')"
    	};

    // ---------------------------------------
    // Right Menu
    String headerRightTitle = "";

    String[] headerRight = new String[0];

    // ---------------------------------------
    // Quick Help
	String headerHelpText = 
		"Import HTML Table"
		+"<p>"
		+"<b>Importable Tables ...</b>"
		+"<br>"
		+"The following HTML tables where found. If the data that you are looking for is not found, please ensure it is contained in a well formed HTML table (i.e., colspan and rowspan attributes are not supported). "
		+"<p>"
		+"Select the HTML table to import by selecting from the list of tables. "
		+"Click <i>Select</i> to continue."
		+"Click <i>Previous</i> to start over.";

%>

<%	// -----------------------------------------------
	// determine how many html tables where parsed
	// and create selection control.
	// -----------------------------------------------

	int curTable = 0;
	if( request.getParameterValues("tbl") != null )
		curTable = new Integer( request.getParameterValues("tbl")[0] ).intValue();

	String htmlTableSelector = new String();
	int counter = 1;
	for( int i=0; i<webquerytool_ui.getTables().size(); i++ )
	{
		htmlTableSelector +=
			"<A href=\"import/ImportHTML.jsp?tbl="+i+"\">";

		if( curTable == i )
			htmlTableSelector += "<b>";

		htmlTableSelector += "[" + (i+1) + "]";

		if( curTable == i )
			htmlTableSelector += "</b>";

		htmlTableSelector += "</A> ";
		
		counter++;
		if( counter > 10 )
		{
			counter = 1;
			htmlTableSelector += "<br>";
		}
	}
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<TITLE>HTML Import</TITLE>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT" 
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR" 
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
</HEAD>

<body bgcolor="FFFFFF" text="#000000" 
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/Import">

<input type=hidden name=op value=process>
<input type=hidden name=page value=html>
<input type=hidden name=cmd value="">

<%@ include file="../header.inc" %>

<TABLE width=90% align=center><TR><TD>

	<table border=0 cellspacing=0 cellpadding=0 width=100% align=center>
	<tr>
		<td valign=top>
			<table border=0 cellspacing=0 cellpadding=0 align=center width=100%>
			<tr>
				<td>
					<font face=sans-serif size=-1>
					<input type=checkbox name=header value="<%=webquerytool_ui.getHeader()%>" checked> 
					Treat first row as column headers.
					<br>
					</font>
				</td>
			</tr>
	
			<tr>
				<td bgcolor="#336699">
					<font face=sans-serif size=-1 color="#FFFFFF">
					<b>
					Importable HTML Tables
					</b>
					</font>
				</td>
			</tr>
	
			<tr>
				<td bgcolor="#6699CC">
					<font face=sans-serif size=-1 color="#FFFFFF">
					<%= webquerytool_ui.getTables().size() %> HTML Table(s) Found.
					<br>
					<%= htmlTableSelector %>
					</font>
				</td>
			</tr>
	
			<TR align="center" valign="center" bgcolor="#C0C0C0">
				<TD>
					<br>
	<%	if( webquerytool_ui.getTables().size() > 0 ) { %>
				<%= webquerytool_ui.getTables().elementAt(curTable) %>
	<%	} %>
					<br>
				</TD>
			</TR>                
			</table>
		</td>	
	</tr>
	</table>

</TD></TR></TABLE>

<input type=hidden name=tbl value="<%= curTable %>">
</form>
<script language="JavaScript">
<!--
	if (<%= webquerytool_ui.getReloadMenu() %>)
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
-->
</script>
</body>

</html>



