<%@ page language="java" %>

<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<% 
    response.setContentType( "text/vnd.wap.wml" );
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);
%>


<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>

<head>
	<meta name="COPYRIGHT" content="IBM Corporation (c) 1999-2000, All Rights Reserved"/>
	<meta name="GENERATOR" content="IBM Web Query Tool (c) 1999-2000, All Rights Reserved"/>
	<meta forua="true" http-equiv="Cache-Control" content="no-cache"/>
	<meta forua="true" http-equiv="Cache-Control" content="must-revalidate"/>
</head>
    
<card id="main">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>

	    <i>Export Options</i>
	</p>
	
	<p align="left" mode="nowrap">
		<select>
<%	    // Choose field and value delimiters.
	    if( webquerytool_ui.getReportFormat().equals("delimited") ) {
%>
			<option title="Field" onpick="#field">
				Field Delimiter
			</option>

			<option title="Value" onpick="#value">
				Value Delimiter
			</option>
<%      }
	    // Include Column Headings

	    if( webquerytool_ui.getReportFormat().equals("html") 
		    || webquerytool_ui.getReportFormat().equals("text") 
		    || webquerytool_ui.getReportFormat().equals("delimited") ) { %>
			<option title="Heading" onpick="#colhead">
				Column Heading
			</option>
<%
	    }
	    
	    // Choose the option for Fixed Width format.
	    
	    if( webquerytool_ui.getReportFormat().equals("text") ) { %>
			<option title="Fixed" onpick="#fixedwidth">
				Fixed width
			</option>
<% 		}

	    // Display Null Values

	    if( webquerytool_ui.getReportFormat().equals("html")
		    || webquerytool_ui.getReportFormat().equals("text") 
		    || webquerytool_ui.getReportFormat().equals ("xml")
		    || webquerytool_ui.getReportFormat().equals("delimited") ) { %>
			<option title="Null" onpick="#nullval">
				NULL Values
			</option>
<% 		}
	    
	    // Title, Body Parameters 
	    
	    if( webquerytool_ui.getReportFormat().equals("html") ) { %>
			<option title="Title" onpick="#title">
				&lt;Title&gt;
			</option>

			<option title="Title" onpick="#body">
				&lt;Body&gt;
			</option>
<% 		}
	    
	    // Stylesheet path, Encoding value for XML Tag, Version number XML Tag
	    
	    if( webquerytool_ui.getReportFormat().equals("xml") ) { %>
			<option title="XSL" onpick="#xslpath">
				XSL Path
			</option>

			<option title="Encode" onpick="#xmlencode">
				XML Encode
			</option>
			
			<option title="Ver" onpick="#xmlver">
				XML Version
			</option>
<% 		} %>

			<option title="Email" onpick="#email">
				Email to...
			</option>

	    	<option title="Send">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getBaseURL(request) %>/ExportOptions">
						<postfield name="op" value="process"/>
						<postfield name="cmd" value="next"/>
<% 		if( webquerytool_ui.getReportFormat().equals ("html") 
			|| webquerytool_ui.getReportFormat().equals("text") 
			|| webquerytool_ui.getReportFormat().equals("delimited") ) { %>
						<postfield name="IncludeColumnHeadings" value="$(IncludeColumnHeadings)"/>

<% 		} if( webquerytool_ui.getReportFormat().equals("text") ) { %>
						<postfield name="FixedWidth" value="$(FixedWidth)"/>

<% 		} if( webquerytool_ui.getReportFormat().equals("html")
			|| webquerytool_ui.getReportFormat().equals("text") 
			|| webquerytool_ui.getReportFormat().equals ("xml")
			|| webquerytool_ui.getReportFormat().equals("delimited") ) { %>
						<postfield name="DisplayNulls" value="$(DisplayNulls)"/>

<% 		} if( webquerytool_ui.getReportFormat().equals ("html") ) { %>
						<postfield name="Title" value="$(Title)"/>
						<postfield name="BodyParameters" value="$(BodyParameters)"/>

<% 		} if( webquerytool_ui.getReportFormat().equals ("xml") ) { %>
						<postfield name="XSLPath" value="$(XSLPath)"/>
						<postfield name="XMLEncoding" value="$(XMLEncoding)"/>
						<postfield name="XMLVersion" value="$(XMLVersion)"/>

<% 		} if( webquerytool_ui.getReportFormat().equals ("delimited") ) { %>
						<postfield name="FieldDel" value="$(FieldDel)"/>
						<postfield name="FieldDelOther" value="$(FieldDelOther)"/>
						<postfield name="ValueDel" value="$(ValueDel)"/>
						<postfield name="ValueDelOther" value="$(ValueDelOther)"/>
<% 		} %>

						<postfield name="todo" value="email"/>
						<postfield name="Mail" value="$(Mail)"/>
					</go>
				</onevent>
	    		Send
	    	</option>
	    
		</select>
	</p>
</card>
    

<%	 // Choose field and value delimiters.
    if( webquerytool_ui.getReportFormat().equals("delimited") ) { %>
<card id="field">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>

	    <i>Field Delimiter</i>
	</p>
	
	<p align="left" mode="nowrap">
		<select name="FieldDel" value="c">
			<option value="c">COMMA (,)</option>
			<option value="s">SEMICOLON (;)</option>
			<option value="t">TAB (\t)</option>
			<option value="p">SPACE ( )</option>
			<option onpick="#fieldDefOther">Other</option>
		</select>
	</p>
</card>
    
<card id="fieldDefOther">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>

	    <i>Field Delimiter</i>
	</p>
	
	<p align="left" mode="nowrap">
		<br/>

		<b>Other: </b>

		<input type="text" 
			name="FieldDelOther"/>
	</p>
</card>
    
<card id="value">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>

	    <i>Value Delimiter</i>
	</p>
	
	<p align="left" mode="nowrap">
		<select name="ValueDel" value="n">
		    <option value="q">QUOTE (&quot;)</option>
		    <option value="t">TICK (&apos;)</option>
		    <option value="n">NONE</option>
		    <option onpick="#valueDefOther">Other</option>
		</select>
	</p>
</card>
    
<card id="valueDefOther">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>

	    <i>Value Delimiter</i>
	</p>
	
	<p align="left" mode="nowrap">
		<br/>

		<b>Other: </b>

		<input type="text" 
			name="ValueDelOther"/>
	</p>
</card>



<% 	}
    // Include Column Headings
    if( webquerytool_ui.getReportFormat().equals("html") 
	    || webquerytool_ui.getReportFormat().equals("text") 
	    || webquerytool_ui.getReportFormat().equals("delimited") ) { %>
<card id="colhead">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>

	    <i>Column Headings</i>
	</p>
	
	<p align="left" mode="nowrap">
		<select name="IncludeColumnHeadings" value="on">
		    <option value="on"> Yes </option>
		    <option value="off"> No </option>
		</select>
	</p>
</card>



<% 	}
    
    // Choose the option for Fixed Width format.
    if( webquerytool_ui.getReportFormat().equals("text") ) { %>
<card id="fixedwidth">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>

	    <i>Fixed Width Format</i>
	</p>
	
	<p align="left" mode="nowrap">
		<select name="FixedWidth" value="off">
		    <option value="on"> Yes </option>
		    <option value=""> No </option>
		</select>
	</p>
</card>



<% 	}

    // Display Null Values
    if( webquerytool_ui.getReportFormat().equals("html")
	    || webquerytool_ui.getReportFormat().equals("text") 
	    || webquerytool_ui.getReportFormat().equals ("xml")
	    || webquerytool_ui.getReportFormat().equals("delimited") ) { %>
<card id="nullval">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>

	    <i>Null Value Display</i>
	</p>
	
	<p align="left" mode="nowrap">
		<br/>

		<b>Display NULL as: </b>

		<input type="text" name="DisplayNulls" 
			value="<%= webquerytool_ui.getDisplayNulls() %>"/>
	    </p>
	</card>



<% 	}

    // Title
    if( webquerytool_ui.getReportFormat().equals ("html") ) {
%>
<card id="title">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>

	    <i>HTML Options</i>
	</p>
	
	<p align="left" mode="nowrap">
		<br/>

		<b>&lt;title&gt; tag: </b>

		<input type="text" name="Title" value="<%=webquerytool_ui.getTitle()%>"/>
	</p>
</card>



<% 	}

    // Body Parameters
    if( webquerytool_ui.getReportFormat().equals ("html") ) { %>
<card id="body">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>

	    <i>HTML Options</i>
	</p>
	
	<p align="left" mode="nowrap">
		<br/>

		<b>&lt;body&gt; tag: </b>

		<input type="text" name="BodyParameters" value="<%=webquerytool_ui.getBodyParameters()%>"/>
	</p>
</card>



<% 	}

	// Stylesheet path 
    if( webquerytool_ui.getReportFormat().equals ("xml") ) { %>
<card id="xslpath">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>

	    <i>XML Options</i>
	</p>
	
	<p align="left" mode="nowrap">
		<br/>

		<b>XSL path: </b> 

		<input type="text" name="XSLPath" value="<%=webquerytool_ui.getXSLPath()%>"/>
	</p>
</card>



<card id="xmlencode">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>

	    <i>XML Options</i>
	</p>
	
	<p align="left" mode="nowrap">
		<br/>

		<b>XML Encoding Value: </b>
		
		<select name="XMLEncoding" value="<%= webquerytool_ui.getXMLEncoding() %>">
		    <option value="">NONE</option>
		    <option value="UTF=8">UTF-8</option>
		    <option value="UTF=16">UTF-16</option>
		    <option value="US-ASCII">US-ASCII</option>
		</select>
	</p>
</card>


<card id="xmlver">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>

	    <i>XML Options</i>
	</p>
	
	<p align="left" mode="nowrap">
		<br/>

		<b>XML Version Tag: </b>

		<input type="text" name="XMLVersion" value="<%= webquerytool_ui.getXMLVersion() %>"/>
	</p>
</card>
<% 	} %>

<card id="email">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>

	    <i>Email</i>
	</p>

	
	<p align="left" mode="nowrap">
		<br/>

	    <b>Address:</b>

	    <input type="text" format="*m\@*m\.3m" name="Mail"/>
	</p>
</card>


</wml>
