<%@ page language="java" %>

<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="java.lang.String" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="webquerytool_schemas" class="java.util.Vector" scope="session"/>

<% 
    response.setContentType( "text/vnd.wap.wml" );

    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

    String[] f = null;
    String o = "%";
    String n = "%";
    

	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

    if( uc.getFilter().size() > 0 )
    	f = (String[]) uc.getFilter().elementAt(0);
%>

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>

<head>
	<meta name="COPYRIGHT" 
		content="IBM Corporation (c) 1999-2001, All Rights Reserved"/>
	<meta name="GENERATOR" 
		content="IBM Web Query Tool (c) 1999-2001, All Rights Reserved"/>

	<meta forua="true" 
		http-equiv="Cache-Control" content="no-cache"/>
</head>

<card id="filterCard">
	<onevent type="onenterforward">
		<refresh>
			<setvar name="owner" value="<%= o %>"/>
			<setvar name="name" value="<%= n %>"/>
		</refresh>
	</onevent>

	<p align="center" mode="nowrap">
		<b>DB2 Web Query</b> <br/>

	    <i>Filter</i>
	</p>
	    
	<p align="left" mode="nowrap">
		<b> Change Owner ($(owner)): </b>

		<select name="owner">
			<option value="%">
				<onevent type="onpick">
					<go href="#filterNameCard"/>
				</onevent>
				[All]
			</option>

			<option>
				<onevent type="onpick">
					<go href="#filterOwnerCard"/>
				</onevent>
				[Enter]
			</option>

<% 	for( int i=0; i<uc.getAliasList().size(); i++ ) { %>
			<option value="<%= uc.getAliasList().elementAt(i) %>">
				<onevent type="onpick">
					<go href="#filterNameCard"/>
				</onevent>
				<%= uc.getAliasList().elementAt(i) %>
			</option>
<% 	} %>
		</select>
	</p>
</card>


<%	// =====================================================
	// owner card
	// ===================================================== %>

<card id="filterOwnerCard">
	<do type="accept" label="Ok">
		<go href="#filterNameCard">
		</go>
	</do>

	<p align="center" mode="nowrap">
		<b>DB2 Web Query</b> <br/>

		<i>Filter</i>
	</p>

	<p align="left" mode="nowrap">
		<b> Set Owner: </b>

		<input type="text" name="owner" value="$(owner)"/>
	</p>
</card>


<%	// =====================================================
	// name card
	// ===================================================== %>

<card id="filterNameCard">
	<do type="accept" label="Ok">
		<go href="#filterConfirmCard">
		</go>
	</do>

	<p align="center" mode="nowrap">
		<b>DB2 Web Query</b> <br/>

		<i>Filter</i>
	</p>

	<p align="left" mode="nowrap">
		<b> Set Name: </b>

		<input type="text" name="name" value="$(name)"/>
	</p>
</card>



<%	// =====================================================
	// confirm filter card
	// ===================================================== %>

<card id="filterConfirmCard">
	<p align="center" mode="nowrap">
		<b>DB2 Web Query</b> <br/>

		<i>Filter</i>
	</p>

	<p align="left" mode="nowrap">
		<b> Apply filter <br/> ($(owner).$(name)) </b>

		<select>
			<option title="Yes">
				<onevent type="onpick">
					<go method="post" 
						href="<%= webquerytool_cfg.getAppRoot() %>/FilterPage">
						<postfield name="op" value="process"/>
						<postfield name="page" value="filterpage"/>
						<postfield name="cmd" value="update"/>
						<postfield name="creatorList" value="$(owner)"/>
						<postfield name="nameList" value="$(name)"/>
						<postfield name="changeControl" value=""/>
					</go>
				</onevent>
				Yes
			</option>

			<option title="No" 
				onpick="<%= webquerytool_cfg.getAppRoot() %>/Menu">
				No
			</option>
		</select>
	</p>
</card>

</wml>
