<%@ page language="java" %>

<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<%@ page import="com.ibm.db2.cwq.catalog.ListItem" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<% 
    response.setContentType( "text/vnd.wap.wml" );
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

    int limit = 0;
%>

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>
    <head>
	<meta name="COPYRIGHT" content="IBM Corporation (c) 1999-2000, All Rights Reserved"/>
	<meta name="GENERATOR" content="IBM Web Query Tool (c) 1999-2000, All Rights Reserved"/>
	<meta forua="true" http-equiv="Cache-Control" content="no-cache"/>
    </head>

    <card id="main" newcontext="true">
	<p align="center">
	    <img alt="2" src="<%= webquerytool_cfg.getWebRoot(request)%>/sql.bmp"/>
	    <b> Queries </b><br/>
	    ---------------
	</p>

	<p>
	    <do type="accept" label="Next">
		<go href="#querymenu"/>
	    </do>

	    <select name="querylist">
<%	
	ListItem li = new ListItem();
	String item = new String();
	int pos = 0;

	for( int i=0; i<webquerytool_ui.getTree().size(); i++ )
	{ 
	    li = (ListItem) webquerytool_ui.getTree().elementAt(i);
	    if( li.getPath().indexOf("/Queries/") != -1 )
	    {
		item = li.getPath().substring(9+li.getPath().indexOf("/Queries/"),li.getPath().length());
		if( (pos = item.indexOf("/")) != -1 )
		{
		    item = item.substring(0,pos) + "." + item.substring(pos+1,item.length());
%>
		    <option value="<%= li.getId() %>"><%= item %></option>
<%			
		    limit ++;
		    if( limit>8 ) 
		    {
%>		    
			<option onpick="#toomuch">More...</option>
<%		    
			break;
		    }
		}
	    }
	}
	
	if( limit == 0 )
	{
%>
	    <option>No query available.</option>
<%
	}
%>		
	    </select>
	    
	    <do type="options" label="Back">
		<go href="<%= webquerytool_cfg.getBaseURL(request) %>/Menu"/>
	    </do>
	</p>
    </card>
    
    <card id="querymenu">
	<p>
	    <a href="<%= webquerytool_cfg.getBaseURL(request) %>/QueriesPage?op=process&amp;cmd=new&amp;objId=0" title="New"> New </a><br/>
	    <a href="<%= webquerytool_cfg.getBaseURL(request) %>/QueriesPage?op=process&amp;cmd=open&amp;objId=$(querylist)" title="Open"> Open </a><br/>
	    <a href="<%= webquerytool_cfg.getBaseURL(request) %>/QueriesPage?op=process&amp;cmd=delete&amp;objId=$(querylist)" title="Delete"> Delete </a><br/>
	    <a href="<%= webquerytool_cfg.getBaseURL(request) %>/CatalogPage?op=process&amp;cmd=prop&amp;type=<%= com.ibm.db2.WebQueryTool.catalog.Manager.TYPE_SQLTEXT %>&amp;page=catalogprop&amp;obj=$(querylist)" title="Properties"> Properties </a><br/>
	    <a href="<%= webquerytool_cfg.getBaseURL(request) %>/Menu" title="Main-Menu">- Main Menu -</a>
	    
	    <do type="options" label="Back">
		<go href="#main"/>
	    </do>
	</p>
    </card>
    
    
<%
    if( limit>8  ) {
%>
    <card id="toomuch">
	<p>
	    <do type="accept" label="Filter">
		<go href="<%=webquerytool_cfg.getBaseURL(request)%>/FilterPage?op=process"/>
	    </do>
	    
	    Too many queries. Please <b>Filter</b> the queries!
	    
	    <do type="options" label="Back">
		<go href="#main"/>
	    </do>
	</p>
    </card>
<%
    }
%>
</wml>
