<%@ page language="java" %>

<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<% 
    response.setContentType( "text/vnd.wap.wml" );

	//java.text.SimpleDateFormat sd = new java.text.SimpleDateFormat("dd, MMM yyyy hh:mm:ss 'GMT'");

    //response.setHeader("Expires","Mon, 26 Jul 1997 05:00:00 GMT");
    //response.setHeader("Last-Modified", sd.format(new java.util.Date()));
    //response.setHeader("Cache-Control", "no-cache, must-revalidate");
    //response.setHeader("Pragma", "no-cache");

 	Properties rs = null;
 	if( webquerytool_ui.getResultsSets().size() > 0 ) 
 		rs = (Properties) webquerytool_ui.getResultsSets().elementAt(0);
%>


<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>

	<head>
		<meta name="COPYRIGHT" 
			content="IBM Corporation (c) 1999-2001, All Rights Reserved"/>
		<meta name="GENERATOR" 
			content="IBM Web Query Tool (c) 1999-2001, All Rights Reserved"/>
	</head>



<card id="selectOutputCard">
	<onevent type="onenterforward">
		<refresh>
			<setvar name="resultname" value="<%= rs.get("name") %>"/>
			<setvar name="resultnum" value="<%= webquerytool_ui.getResultNum() + 1 %>"/>
			<setvar name="format" value="<%= webquerytool_ui.getReportFormat() %>"/>
			<setvar name="email" value="<%= webquerytool_ui.getMail() %>"/>
		</refresh>
	</onevent>

	<p align="center" mode="nowrap">
		<b>DB2 Web Query</b> <br/>

		<i>Select Output</i>
	</p>

<%	if( rs == null ) { %>
	<do type="accept" label="Options">
		<go href="<%= webquerytool_cfg.getWebRoot(request) %>/OptionsPage.jsp"/>
	</do>

	<p align="left" mode="nowrap">
		No result(s).

		<select name="cmd">
			<option title="Back">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getBaseURL(request) %>/SQLText">
						<postfield name="op" value="process"/>
						<postfield name="page" value="sqlstatus"/>
						<postfield name="cmd" value="wapcontrol"/>
					</go>
				</onevent>
				Back
			</option>

			<option title="Options" 
				onpick="<%= webquerytool_cfg.getWebRoot(request) %>/OptionsPage.jsp">
				Options
			</option>
		</select>
	</p>

<%	} else { %>

	<p align="left" mode="nowrap">
	<select name="cmd">
		<option title="Pick" onpick="#resultsCard">
			Result: $(resultname)
		</option>

		<option title="Pick" onpick="#formatCard">
			Format: $(format)
		</option>

		<option title="Set" onpick="#emailCard">
			Email: $(email)
		</option>

		<option title="Email">
			<onevent type="onpick">
				<go method="post" href="<%= webquerytool_cfg.getBaseURL(request) %>/SelectOutput">
					<postfield name="op" value="process"/>
					<postfield name="page" value="selectoutput"/>
					<postfield name="cmd" value="next"/>
					<postfield name="ResultsType" value="$(format)"/>
					<postfield name="Mail" value="$(email)"/>
					<postfield name="todo" value="email"/>
					<postfield name="resultsets" value="$(resultnum)"/>
					<postfield name="interface" value="wap"/>
				</go>
			</onevent>
			Send
		</option>

		<option title="Options" 
				onpick="<%= webquerytool_cfg.getWebRoot(request) %>/OptionsPage.jsp">
			Options
		</option>
	</select>
<%	} %>

	</p>
</card>
    



<%	if( rs != null ) { %>

<card id="resultsCard">
	<p align="center" mode="nowrap">
		<b>DB2 Web Query</b> <br/>

		<i>Results</i>
	</p>

	<p align="left" mode="nowrap">
		<select name="resultname" iname="resultnum">
<%	for( int i=0; i<webquerytool_ui.getResultsSets().size(); i++ ) { %>
			<option value="<%= ((Properties) webquerytool_ui.getResultsSets().elementAt(i)).get("name") %>">
				<%= ((Properties) webquerytool_ui.getResultsSets().elementAt(i)).get("name") %>
			</option>
<%	} %>
		</select>
	</p>
</card>




<card id="formatCard">
	<p align="center" mode="nowrap">
		<b>DB2 Web Query</b> <br/>

		<i>Select Format</i>
	</p>

	<p align="left" mode="nowrap">
		<select name="format">
			<option value="xml">XML</option>
			<option value="html">HTML</option>
			<option value="text">Text</option>
			<option value="delimited">Delimited Text</option>
		</select>
	</p>
</card>

<%	} %>


<card id="emailCard">
	<p align="center" mode="nowrap">
		<b>DB2 Web Query</b> <br/>

		<i>Email Address</i>
	</p>

	<p align="left" mode="nowrap">
		<input type="text" name="email" value="$(email)"/>
	</p>
</card>

</wml>
