<%@ page language="java" %>

<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>
<%@ page import="com.ibm.db2.cwq.catalog.ListItem" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<% 
    response.setContentType( "text/vnd.wap.wml" );
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

    int limit = 0;
%>

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>

<head>
<meta name="COPYRIGHT" content="IBM Corporation (c) 1999-2000, All Rights Reserved"/>
<meta name="GENERATOR" content="IBM Web Query Tool (c) 1999-2000, All Rights Reserved"/>
<meta forua="true" http-equiv="Cache-Control" content="no-cache"/>
<meta forua="true" http-equiv="Cache-Control" content="must-revalidate"/>
</head>

<card id="main">
	<p align="center" mode="nowrap">
		<b>IBM DB2 Web Query</b> <br/>

	    <b>Views</b><br/>
	</p>

	<p>
	    <do type="accept" label="Next">
		<go href="#viewsmenu">
		</go>
	    </do>
	    
	    <select name="tableslist">
<%	
	ListItem li = new ListItem();
	String item = new String();
	int pos = 0;

	for( int i=0; i<webquerytool_ui.getTree().size(); i++ )
	{ 
	    li = (ListItem) webquerytool_ui.getTree().elementAt(i);
	    if( li.getPath().indexOf("/Table Data/Views/") != -1 )
	    {
			item = li.getPath().substring(18+li.getPath().indexOf("/Table Data/Views/"),li.getPath().length());
			if( (pos = item.indexOf("/")) != -1 )
			{
		 	   item = item.substring(0,pos) + "." + item.substring(pos+1,item.length());
%>
		    <option value="<%= li.getId() %>"><%= item %></option>
<%			
			    limit ++;
				if( limit>8 ) 
				{
%>		    
			<option onpick="#toomuch">More...</option>
<%		    
				break;
				}
			}
	    }
	}
	
	if( limit == 0 )
	{
%>
	    <option>No view available.</option>
<%	} %>		
	    </select>
	    	    
	    <do type="options" label="Back">
		<go href="<%=webquerytool_cfg.getBaseURL(request)%>/TablesPage"/>
	    </do>
	</p>
    </card>

    <card id="viewsmenu">
	<p>
	    <a href="<%= webquerytool_cfg.getBaseURL(request) %>/TablesPage?op=process&amp;cmd=query&amp;objId=$(tableslist)" title="Query"> Query </a><br/>
	    <a href="<%= webquerytool_cfg.getBaseURL(request) %>/TablesPage?op=process&amp;cmd=dropview&amp;objId=$(tableslist)" title="Drop"> Drop </a><br/>
	    <a href="<%= webquerytool_cfg.getBaseURL(request) %>/Menu" title="Main-Menu">- Main Menu -</a>
	    
	    <do type="options" label="Back">
		<go href="#views"/>
	    </do>
	</p>
    </card>
    
<%	if( limit>8  ) { %>
    <card id="toomuch">
	<p>
	    <do type="accept" label="Filter">
		<go href="<%=webquerytool_cfg.getBaseURL(request)%>/FilterPage?op=process"/>
	    </do>
	    
	    Too many views. Please <b>Filter</b> the views!
	    
	    <do type="options" label="Back">
		<go href="#views"/>
	    </do>
	</p>
    </card>
<%	} %>

</wml>
