<%@ page language="java" %>

<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<% 
    response.setContentType( "text/vnd.wap.wml" );

    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	// get the current result set
	Properties rs = null;
	if( webquerytool_ui.getResultNum() != -1 )
	{
		rs = (Properties) webquerytool_ui.getResultsSets().elementAt(
			webquerytool_ui.getResultNum()
		);
	}
%>

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>

	<head>
		<meta name="COPYRIGHT" 
			content="IBM Corporation (c) 1999-2000, All Rights Reserved"/>
		<meta name="GENERATOR" 
			content="IBM Web Query Tool (c) 1999-2000, All Rights Reserved"/>
		<meta forua="true" 
			http-equiv="Cache-Control" content="no-cache"/>
		<meta forua="true" 
			http-equiv="Cache-Control" content="must-revalidate"/>
	</head>

<card id="wapDataViewCard">
	<do type="accept" label="Nav">
		<go href="<%= webquerytool_cfg.getWebRoot(request) %>/wapnav.jsp"/>
	</do>

	<p align="center" mode="nowrap">
		<b>DB2 Web Query</b> <br/>

		<i>Data Viewer</i>
	</p>
	
<% 	if( rs == null ) { %>

	<p align="left" mode="nowrap">
		No data available.
	</p>

<% 	} else { %>

	<p align="left" mode="nowrap">
		<%= rs.get("data") %>
	</p>

<% 	} %>

</card>



</wml>
