<%@ page language="java" %>

<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.lang.StringBuffer" %>

<%@ page import="com.ibm.db2.cwq.catalog.ListItem" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<% 
    response.setContentType( "text/vnd.wap.wml" );
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

    int level = 1;
    String prefix = new String();
    String cmdType = "";

	int ipp = 5; 
	int pgnum = 1;

	ListItem li = null;

	StringBuffer items = new StringBuffer();
	int pos = 0;
	int counter = 0;
	int addedCounter = 0;


	if( request.getParameterValues("leaf") != null )
	{
		// ============================================
		// object was selected so display it.
		li = webquerytool_ui.getTreeItem(
			request.getParameterValues("objid")[0]
		);

		cmdType = "";
		if( li.getPath().indexOf("/Table Data/") != -1 )
			cmdType = "T";
		else if( li.getPath().indexOf("/Queries/") != -1 )
			cmdType = "Q";
		else if( li.getPath().indexOf("/Data/Temporary/") != -1 )
			cmdType = "RR";
		else if( li.getPath().indexOf("/Data/Saved/") != -1 )
			cmdType = "RS";
	}
	else
	{
		// ============================================
		// get the current level and prefix of the
		// menu.
		if( request.getParameterValues("l") != null
			&& request.getParameterValues("p") != null )
		{
			level = new Integer(
				request.getParameterValues("l")[0]
			).intValue();
			prefix = request.getParameterValues("p")[0];
		}

		// ============================================
		// calc page number
		if( request.getParameter("pgnum") != null )
		{
			pgnum = new Integer(request.getParameter("pgnum")).intValue();

			if( pgnum == Math.abs(pgnum) )
				pgnum++;
			else
				pgnum = Math.abs(pgnum) - 1;

		}

		if( pgnum < 2 )
			pgnum = 1;

		// ============================================
		// get list of objects at the current level
		for( int i=0; i<webquerytool_ui.getTree().size(); i++ )
		{
			li = (ListItem) webquerytool_ui.getTree().elementAt(i);

			if( level == li.getLevel() 
				&& li.getPath().startsWith(prefix)
				&& li.getPath().indexOf("/Forms") == -1 )
			{
				if( counter >= (pgnum-1)*ipp && counter < pgnum*ipp )
				{
					addedCounter++;
					if( li.getType() == li.TYPE_NODE )
					{
						items.append(
							"<option title=\"Open\"> "
								+"<onevent type=\"onpick\"> "
									+"<go method=\"post\" href=\""+ webquerytool_cfg.getWebRoot(request) +"menu/MenuPage.jsp\"> "
										+"<postfield name=\"p\" value=\""+ li.getPath() +"\"/> "
										+"<postfield name=\"l\" value=\""+ (level+1) +"\"/> "
										+"<postfield name=\"pgnum\" value=\"0\"/> "
										+"<postfield name=\"objid\" value=\""+ li.getId() +"\"/> "
									+"</go> "
								+"</onevent> "
								+"[" +li.getName() +"] "
							+"</option> "
						);
					}
					else
					{
						items.append(
							"<option title=\"Select\"> "
								+"<onevent type=\"onpick\"> "
									+"<go method=\"post\" href=\""+ webquerytool_cfg.getWebRoot(request) +"menu/MenuPage.jsp\"> "
										+"<postfield name=\"leaf\" value=\"1\"/> "
										+"<postfield name=\"objid\" value=\""+ li.getId() +"\"/> "
									+"</go> "
								+"</onevent> "
								+"[" +li.getParent()+"."+li.getName() +"] "
							+"</option> "
						);
					}
				}
				counter++;
			}
		}
		
		if( addedCounter == 0 ) {
			items.append(
				"<option>Not available</option>"
			);
		}
	}
%>

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>

<head>
	<meta name="COPYRIGHT" 
		content="IBM Corporation (c) 1999-2002, All Rights Reserved"/>
	<meta name="GENERATOR" 
		content="IBM Web Query (c) 1999-2002, All Rights Reserved"/>
</head>


<%	// ==========================================================
	// Main Card 
	// ========================================================== %>

<card id="main">
	<p align="center" mode="nowrap">
	    <b> DB2 Web Query </b> <br/>

<%	if( request.getParameterValues("leaf") != null )
	{
		if( cmdType.equals("T") ) { %>
			<img alt="Table/View" src="<%= webquerytool_cfg.getWebRoot(request)%>tab.bmp"/>
<%		} else if( cmdType.equals("Q") ) { %>
			<img alt="Query" src="<%= webquerytool_cfg.getWebRoot(request)%>sql.bmp"/>
<%		} else if( cmdType.equals("RR") || cmdType.equals("RS") ) { %>
			<img alt="Result" src="<%= webquerytool_cfg.getWebRoot(request)%>res.bmp"/>
<%		} %>

		<%= li.getParent() %>.<%= li.getName() %>
<%	} else { %>
		Objects: <%= ((pgnum-1)*ipp)+1 %> of <%= counter %> 
<%	} %>
	</p>

	<p align="center" mode="nowrap">
	    <select name="cmd">
<%	if( request.getParameterValues("leaf") != null )
	{
		// ==========================================================
		// Leaf Navigation (presents commands for leaf items.
		// ==========================================================  %>

<%		if( cmdType.equals("T") ) { %>
			<option title="Query">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getAppRoot() %>/TablesPage">
						<postfield name="op" value="process"/>
						<postfield name="cmd" value="query"/>
						<postfield name="objId" value="<%= li.getId() %>"/>
					</go>
				</onevent>
				Query
			</option>

			<option>
				<onevent type="onpick">
					<go href="#emptyCard"/>
				</onevent>
				Empty
			</option>

			<option>
				<onevent type="onpick">
					<go href="#dropCard"/>
				</onevent>
				Drop
			</option>

			<option title="Rename" onpick="#renameCard">
				Rename
			</option>
<%		} 

		else if( cmdType.equals("Q") ) { %>
			<option>
				<onevent type="onpick">
					<go method="post" 
						href="<%= webquerytool_cfg.getAppRoot() %>/QueriesPage">
						<postfield name="op" value="process"/>
						<postfield name="cmd" value="new"/>
					</go>
				</onevent>
				New
			</option>

			<option>
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getAppRoot() %>/QueriesPage">
						<postfield name="op" value="process"/>
						<postfield name="cmd" value="run"/>
						<postfield name="objId" value="<%= li.getId() %>"/>
					</go>
				</onevent>
				Run
			</option>

			<option>
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getAppRoot() %>/QueriesPage">
						<postfield name="op" value="process"/>
						<postfield name="cmd" value="open"/>
						<postfield name="objId" value="<%= li.getId() %>"/>
					</go>
				</onevent>
				Open
			</option>

			<option>
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getAppRoot() %>/QueriesPage">
						<postfield name="op" value="process"/>
						<postfield name="cmd" value="delete"/>
						<postfield name="objId" value="<%= li.getId() %>"/>
					</go>
				</onevent>
				Delete
			</option>
<%		} 


		else if( cmdType.startsWith("R") ) {
			if( cmdType.equals("RR") ) { %>
			<option>
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getAppRoot() %>/ResultsPage">
						<postfield name="op" value="process"/>
						<postfield name="cmd" value="openrecent"/>
						<postfield name="objId" value="<%= li.getId() %>"/>
					</go>
				</onevent>
				Open
			</option>

			<option>
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getAppRoot() %>/ResultsPage">
						<postfield name="op" value="process"/>
						<postfield name="cmd" value="save"/>
						<postfield name="objId" value="<%= li.getId() %>"/>
					</go>
				</onevent>
				Save
			</option>

			<option>
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getAppRoot() %>/ResultsPage">
						<postfield name="op" value="process"/>
						<postfield name="cmd" value="deleterecent"/>
						<postfield name="objId" value="<%= li.getId() %>"/>
					</go>
				</onevent>
				Delete
			</option>

<%			} else { %>

			<option>
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getAppRoot() %>ResultsPage">
						<postfield name="op" value="process"/>
						<postfield name="cmd" value="opensaved"/>
						<postfield name="objId" value="<%= li.getId() %>"/>
					</go>
				</onevent>
				Open
			</option>

			<option>
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getAppRoot() %>ResultsPage">
						<postfield name="op" value="process"/>
						<postfield name="cmd" value="deletesaved"/>
						<postfield name="objId" value="<%= li.getId() %>"/>
					</go>
				</onevent>
				Delete
			</option>
<%			}
		} 
	} 
	else 
	{ 
		// ==========================================================
		// Node Navigation (pages through tree entries)
		// ========================================================== %>

		<%= items %>

<%		if( pgnum*ipp < counter ) { %>
			<option title="Next">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getWebRoot(request) %>menu/MenuPage.jsp">
						<postfield name="p" value="<%= prefix %>"/>
						<postfield name="l" value="<%= level %>"/>
						<postfield name="pgnum" value="<%= pgnum %>"/>
					</go>
				</onevent>
				Next <%= ipp %>
			</option>
<%		} %>

<% 		if( ((pgnum-1)*ipp)+1 > 1 ) { %>
			<option title="Prev">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getWebRoot(request) %>menu/MenuPage.jsp">
						<postfield name="p" value="<%= prefix %>"/>
						<postfield name="l" value="<%= level %>"/>
						<postfield name="pgnum" value="-<%= pgnum %>"/>
					</go>
				</onevent>
				Previous <%= ipp %>
			</option>
<%		} %>
<%	} %> 
			<option title="Options">
				<onevent type="onpick">
					<go href="<%=webquerytool_cfg.getWebRoot(request)%>OptionsPage.jsp"/>
				</onevent>
				Options
			</option>

<%		if( webquerytool_user.getMsg().size() > 0 ) { %>
			<option title="Show"
				onpick="<%=webquerytool_cfg.getWebRoot(request)%>msg.jsp">
	    		Messages
	    	</option>
<%		} %>
		</select>
	</p>
</card>


<%	// ==========================================================
	// Empty Card
	// ========================================================== 
	if( cmdType.equals("T") 
		|| cmdType.equals("V") ) { %>

<card id="emptyCard">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>

	    <img alt="Table/View" src="<%= webquerytool_cfg.getWebRoot(request)%>/tab.bmp"/>
	    <i>Empty</i>
	</p>

	<p align="left" mode="wrap">
		Empty the contents of this table?

		<select name="cmd">
			<option title="No">
				<onevent type="onpick">
					<prev/>
				</onevent>
				No
			</option>

			<option title="Yes">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getAppRoot() %>/TablesPage">
						<postfield name="op" value="process"/>
						<postfield name="cmd" value="empty"/>
						<postfield name="objId" value="<%= li.getId() %>"/>
					</go>
				</onevent>
				Yes
			</option>
		</select>
	</p>
</card>




<%	// ==========================================================
	// Rename Card
	// ========================================================== %>

<card id="renameCard">
	<do type="accept" label="Rename">
		<go method="post" href="<%= webquerytool_cfg.getAppRoot() %>/TablesPage">
			<postfield name="op" value="process"/>
			<postfield name="cmd" value="rename"/>
			<postfield name="page" value="tablespage"/>
			<postfield name="renameto" value="$(renameto)"/>
			<postfield name="objId" value="<%= li.getId() %>"/>
		</go>
	</do>

	<p align="center" mode="nowrap">
	    <b> DB2 Web Query </b> <br/>

	    <img alt="Table/View" src="<%= webquerytool_cfg.getWebRoot(request)%>/tab.bmp"/>
	    <i>Rename</i> 
	</p>

	<p align="left" mode="nowrap">
		<br/>

		<b>New Name : </b>

		<input type="text" 
			name="renameto" value="$(renameto)"/>
	</p>
</card>


<%	// ==========================================================
	// Drop Card
	// ========================================================== %>

<card id="dropCard">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>

	    <img alt="Table/View" src="<%= webquerytool_cfg.getWebRoot(request)%>/tab.bmp"/>
	    <i>Drop</i>
	</p>

	<p align="left" mode="wrap">
		Confirm drop?

		<select name="cmd">
			<option title="No">
				<onevent type="onpick">
					<prev/>
				</onevent>
				No
			</option>

			<option title="Yes">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getAppRoot() %>/TablesPage">
						<postfield name="op" value="process"/>
						<postfield name="cmd" value="drop"/>
						<postfield name="objId" value="<%= li.getId() %>"/>
					</go>
				</onevent>
				Yes
			</option>
		</select>
	</p>
</card>
<%	} %>


</wml>
