<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspAboutPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	UserConnection uc = null;

    JspAboutPage jspInfo = new JspAboutPage();
    
    
	// calculate click times for info page 
	long lc = 0;
	int cnt = 0;
	if( request.getParameter("lc") != null ) 
	{
		lc = new Long( request.getParameter("lc") ).longValue(); 
		cnt = new Integer( request.getParameter("cnt") ).intValue(); 
	}
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->                       
<!--information, the terms of which must be observed and followed.    -->                       

<HTML>

<head>
	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

	<title> About Page </title>

	<META name="COPYRIGHT" 
		content="IBM Corporation &#169; 1999-2002, All Rights Reserved">
	<META name="GENERATOR" 
		content="IBM Web Query &#169; 1999-2002, All Rights Reserved">
</head>

<body bgcolor="FFFFFF" text="#000000" 
	link="#000000" alink="#000000" vlink="#000000"
	onMouseOver="hidePopupMenus();">

<TABLE border=0 align=center width=100% cellpadding=5 cellspacing=0>
<TR valign=bottom bgcolor="#003366">
	<TD align=right>
		<FONT size=+1 face=sans-serif color="#FFFFFF">
		
		<A href="<%=webquerytool_cfg.getAppRoot()%>/Info?cnt=<%= cnt %>&lc=<%= lc %>"><IMG 
			alt="IBM"
			src="ibmlogow.gif" hspace=0 vspace=0 border=0></A>
		&nbsp;
		&nbsp;
		</FONT>
	</TD>
</TR>

<TR valign=bottom bgcolor="#336699">
	<TD align=left>
		<FONT size=+1 face=sans-serif color="#FFFFFF">
		&nbsp;
		&nbsp;
		IBM DB2 Web Query
		</FONT>
	</TD>
</TR>

<TR valign=bottom bgcolor="#FFFFFF">
	<TD align=left>
		<FONT size=+1 face=sans-serif color="#FFFFFF">
		&nbsp;
		</FONT>
	</TD>
</TR>
</TABLE>

<TABLE width=80% align=center><TR><TD>

	<TABLE cellspacing=0 cellpadding=4>
	<TR valign=top>
		<TD align=center>
			<IMG src="db2nd.gif" hspace=0 vspace=0 border=0>
		</TD>
		
		<TD valign=top>
			<TABLE width=100% align=left cellspacing=1 cellpadding=4 border=0>
			<TR bgcolor="#003366">
				<TD align=left>
					<font color="#FFFFFF" face=sans-serif size="-1">
					<B>
					<%= jspInfo.getConnectionType() %>
					</B>
					</font>
				</TD>
				<TD align=left>
					<FONT color="#FFFFFF" face=sans-serif size="-1">
					<B>
					<%= jspInfo.getConnectionName() %>
					</B>
					</FONT>
				</TD>
				<TD align=left>
					<font color="#FFFFFF" face=sans-serif size="-1">
					<B>
					<%= jspInfo.getConnectionUser() %>
					</B>
					</font>
				</TD>
				<TD align=left>
					<font color="#FFFFFF" face=sans-serif size="-1">
					<B>
					<%= jspInfo.getConnectionSqlid() %>
					</B>
					</font>
				</TD>
			</TR>

		<%	Enumeration e = webquerytool_user.getConPool().keys();
			while( e.hasMoreElements() )
			{
				uc = webquerytool_user.getConnection(
					(String) e.nextElement() 
				);
		%>
			<TR <%= uc.getName().toUpperCase().equals(webquerytool_user.getCurrentCon())?"bgcolor=#C0C0C0":"" %> >
				<TD align=left>
					<font face=sans-serif size="-1">
					<%= uc.getDbType().get("name") %>
					</font>
				</TD>
				<TD align=left>
					<font face=sans-serif size="-1">
					<%= uc.getDbName() %>
					</font>
				</TD>
				<TD align=left>
					<font face=sans-serif size="-1">
					<%= uc.getId() %>
					</font>
				</TD>
				<TD align=left>
					<font face=sans-serif size="-1">
					<%= uc.getSqlId() %>
					</font>
				</TD>
			</TR>
		<%	} %>
		</TABLE>
		</TD>
	</TR>

	<TR valign=top>
		<TD>
			<font size="-2" face="sans-serif">

	<%	Enumeration en = webquerytool_cfg.getLicenses().keys();
		String key = null;
		Properties aLic = null;

		while( en.hasMoreElements() )
		{
			key = (String) en.nextElement();
			aLic = (Properties) webquerytool_cfg.getLicenses().get( key );
	%>
<nobr>(<%= aLic.get("ProductID") %>) <%= aLic.get("ProductName") %> 
<%		if( aLic.get("ProductAnnotation") != null ) { %>
<%= aLic.get("ProductAnnotation") %> 
	<%	} %>
</nobr><br>
<%	} %>

			<br>
			Version: <%= webquerytool_cfg.getVersion() %> <br>
			FixPak <%= webquerytool_cfg.getFixpak() %>
			</font>
		</TD>
		
		<TD>
			<font face=sans-serif size="-2">

			<%= jspInfo.getIbmCopyright() %> 
			<%= jspInfo.getIbmTrademark() %>

			<br>
			<br>
			<%= jspInfo.getRocketCopyright() %> 
			<%= jspInfo.getRocketTrademark() %>
			
			<br>
			<br>
			
			Portions Copyright © 1999 The Apache Software Foundation.  All rights reserved.
			
			<br>
			<br>

			Portions Copyright © 2001 by Jason Hunter &lt;jhunter@servlets.com&gt;  
			</font>
		</TD>
	</TR>
	</TABLE>
	
</TD></TR></TABLE>

</body>

</html>
