<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	UserConnection uc = null;
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->

<HTML>

<head>
	<title> Info Page </title>

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT" 
		content="IBM Corporation &#169; 1999-2002, All Rights Reserved">
	<META name="GENERATOR" 
		content="IBM Web Query Tool &#169; 1999-2002, All Rights Reserved">
</head>

<body bgcolor="FFFFFF" text="#000000" 
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<TABLE width=100% border=0 align=center cellpadding=0 cellspacing=0>
<TR valign=top height=20>
	<TD align=left>
		<FONT size=+1 face=sans-serif>
		IBM DB2 Web Query
		</FONT>
	</TD>

	<TD align=right>
		<IMG src="ibmlogo.gif" hspace=0 vspace=0 border=0>
	</TD>
</TR>
</TABLE>

<TABLE width=90% align=center><TR><TD>

	<TABLE width=100% border=0 align=center cellpadding=0 cellspacing=0>
	<TR valign=top>
		<TD>
			<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/Info"> 
				<INPUT type=hidden name=page value=infopage>
				<INPUT type=checkbox name=debugflag 
					<%= webquerytool_ui.isDEBUGON?"checked":"" %>>
				Debug Mode
				<INPUT type=submit value=Set>
			</form>
		</TD>
	</TR>

	<TR valign=top>	<TD><hr width=100%></TD> </TR>

	<TR valign=top>
		<TD align=left valign=top>
		<b>Connection Info:</b>
		<br>
			<TABLE border=0>
			<TR bgcolor="#6699CC">
				<TH align=left>
					<font face=sans-serif size="-1">
					DbName
					</font>
				</TH>
				<TH align=left>
					<font face=sans-serif size="-1">
					Name
					</font>
				</TH>
				<TH align=left>
					<font face=sans-serif size="-1">
					User
					</font>
				</TH>
				<TH align=left>
					<font face=sans-serif size="-1">
					SQLId
					</font>
				</TH>
				<TH align=left>
					<font face=sans-serif size="-1">
					DB ID
					</font>
				</TH>
				<TH align=left>
					<font face=sans-serif size="-1">
					DB Version
					</font>
				</TH>
				<TH align=left>
					<font face=sans-serif size="-1">
					Driver Version
					</font>
				</TH>
			</TR>


<%	Enumeration e = webquerytool_user.getConPool().keys();
	while( e.hasMoreElements() )
	{
		uc = webquerytool_user.getConnection(
			(String) e.nextElement() 
		);
%>
			<TR bgcolor="#C0C0C0">
				<TD align=left>
					<font face=sans-serif size="-1">
					<%= uc.getDbName() %>
					</font>
				</TD>
				<TD align=left>
					<font face=sans-serif size="-1">
					<%= uc.getDbType().get("name") %>
					</font>
				</TD>
				<TD align=left>
					<font face=sans-serif size="-1">
					<%= uc.getId() %>
					</font>
				</TD>
				<TD align=left>
					<font face=sans-serif size="-1">
					<%= uc.getSqlId() %>
					</font>
				</TD>
				<TD align=left>
					<font face=sans-serif size="-1">
					<%= uc.getProduct() %>
					</font>
				</TD>
	<%	try 
		{
	 %>
				<TD>
					<font face=sans-serif size="-1">
					<%= uc.getCon().getMetaData().getDatabaseProductName() %> 
					<%= uc.getCon().getMetaData().getDatabaseProductVersion() %>
					</font>
				</TD>
				<TD>
					<font face=sans-serif size="-1">
					<%= uc.getCon().getMetaData().getDriverName() %> 
					<%= uc.getCon().getMetaData().getDriverVersion() %>
					</font>
				</TD>
	<%	} 
		catch( Exception se ) 
		{}
	 %>
			</TR>
<%	} %>
			</TABLE>
		</TD>
	</TR>

	<TR valign=top>	<TD><hr width=100%></TD> </TR>

	<TR>
		<td>
		<b>JDBC Drivers:</b> 
		<pre>
<%	for( int i=0; i<webquerytool_cfg.getJdbcInfo().size(); i++ ) { %>
<%= webquerytool_cfg.getJdbcInfo().elementAt(i) %><% } %>
		</pre>
		</td>
	</TR>

	<TR valign=top>	<TD><hr width=100%></TD> </TR>

	<TR>
		<TD colspan=2>
			<b>Configuration:</b>
			<br>
			<pre>
			<%= webquerytool_cfg.toString() %>
			<pre>
		</TD>
	</TR>
	</TABLE>
	
</TD></TR></TABLE>

</font>

</body>

</html>
