<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspXSLWorkbenchPage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);
	
	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);

	JspXSLWorkbenchPage jspInfo = new JspXSLWorkbenchPage();
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->                       
                    
<HTML>

<head>
	<title> XSL Workbench </title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT" 
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR" 
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>

	<SCRIPT language="JavaScript">
	<!--
		function switchPage( page )
		{
			document.forms[0].nextpage.value = page;
			document.forms[0].cmd.value = "switchpage";
			document.forms[0].submit();
		}
	//-->
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000" 
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/XSLWorkbench"> 

<input type=hidden name="op" value="process">
<input type=hidden name="page" value="XSLWorkbench">
<input type=hidden name="cmd" value="">
<input type=hidden name="nextpage" value="">

<%@ include file="../pageheader.inc" %>

<TABLE width=90% align=center><TR><TD>

<%		
	// -------------------------------------------
	// XSL Options
	// -------------------------------------------
%>

<table border=0 cellpadding=2 cellspacing=0 align=center width=100%>

<tr valign=top bgcolor=#6699CC>
	<td>
		<font size=-1 face=sans-serif color=#FFFFFF>
		<b>Creator</b>
		</font>
	</td>
	<td>
		<font size=-1 face=sans-serif color=#FFFFFF>
		<b>Name</b>
		</font>
	</td>
	<td>
		<font size=-1 face=sans-serif color=#FFFFFF>
		<b>Type</b>
		</font>
	</td>
</tr>

<tr valign=top bgcolor=#C0C0C0>
	<td>
		<font size=-1 face=sans-serif>
		<SELECT name="objcreator" size=1>
<% 	for( int i=0; i < uc.getAliasList().size(); i++) { %>
			<OPTION value="<%= uc.getAliasList().elementAt(i) %>">
				<%= uc.getAliasList().elementAt(i) %>
			</OPTION>
<% 	} %>
		</SELECT>
		</font>
	</td>

	<td>
		<font size=-1 face=sans-serif>
		<input type=text name=objname>
		</font>
	</td>

	<td>
		<font size=-1 face=sans-serif>
		<select name=xsltype size=1>
			<option value=<%= webquerytool_ui.XSL_TABLE %>
				<%= webquerytool_ui.getXslType()==webquerytool_ui.XSL_TABLE?"selected":"" %>>
				Table
			</option>

			<option value=<%= webquerytool_ui.XSL_LIST %>
				<%= webquerytool_ui.getXslType()==webquerytool_ui.XSL_LIST?"selected":"" %>>
				List
			</option>
		</select>
		</font>
	</td>
</tr>
<tr valign=top>
	<td colspan=3>
		<%@ include file="EOXslOption.inc" %>
		<br><br>
	</td>
</tr>
</table>

</TD></TR></TABLE>

</form>

<script language="JavaScript">
<!--
	if (<%= webquerytool_ui.getReloadMenu() %>)
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</script>

</body> 

</html> 
