<%@ page language="java" %>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ page import="java.util.*" %>
<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="com.ibm.db2.cwq.msgs.JspXSLWorkbenchManagePage" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="cwqXslSavedList" class="java.util.Vector" scope="session"/>

<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);
	
	UserConnection uc = webquerytool_user.getConnection(
		webquerytool_user.getCurrentCon()
	);


	JspXSLWorkbenchManagePage jspInfo = new JspXSLWorkbenchManagePage();
%>

<!-- All rights reserved. Licensed Materials Property of IBM          -->
<!-- Note to US Government users                                      -->
<!-- Documentation related to restricted rights                       -->
<!-- Use, duplication or disclosure is subject to restrictions        -->
<!-- set forth in GSA ADP Schedule with IBM Corp.                     -->
<!--This page may contain other proprietary notices and copyright     -->
<!--information, the terms of which must be observed and followed.    -->                       
                    
<HTML>

<head>
	<title> XSL Workbench </title>

	<base href="<%= webquerytool_cfg.getWebRoot(request) %>">

	<META name="COPYRIGHT" 
		content="IBM Corporation (c) 1999-2002, All Rights Reserved">
	<META name="GENERATOR" 
		content="IBM Web Query Tool (c) 1999-2002, All Rights Reserved">

	<SCRIPT language="JavaScript" src="webquery.js">
	</SCRIPT>
	
	<SCRIPT language="JavaScript">
	<!--
		function switchPage( page )
		{
			document.forms[0].nextpage.value = page;
			document.forms[0].cmd.value = "switchpage";
			document.forms[0].submit();
		}

		function deleteXsl()
		{			
			if( document.forms[0].xsllist.selectedIndex.length == 0 )
			{
				alert( "There are no saved XSL files to delete." );
				return;
			}

			if( document.forms[0].xsllist.selectedIndex == -1 )
			{
				alert( "Please select a XSL files to delete." );
				return;
			}

			goahead = true;
			
			if( !window.confirm( "Are you sure you want to delete this XSL file?" ) )
				goahead = false;

			if( goahead )
			{
				document.forms[0].cmd.value = "delete";
				document.forms[0].submit();
			}
		}

		function downloadXsl()
		{			
			if( document.forms[0].xsllist.selectedIndex.length == 0 )
			{
				alert( "There are no saved XSL files to download." );
				return;
			}

			if( document.forms[0].xsllist.selectedIndex.length > 1 )
			{
				alert( "Only 1 XSL files can be downloaded at a time." );
				return;
			}
			
			if( document.forms[0].xsllist.selectedIndex == -1 )
			{
				alert( "Please select a XSL files to download." );
				return;
			}

			goahead = true;
			
			if( !window.confirm( "Are you sure you want to download this XSL file?" ) )
				goahead = false;

			if( goahead )
			{
				// ====================================
				// determine size
				if( document.layers ) 
				{
					// netscape
					x = top.window.screenX + 10;
					y = top.window.screenY + 10;
				}
				else
				{
					// ie
					x = top.window.screenLeft + 10;
					y = top.window.screenTop + 10;
				}
		
				w = window.open( 
					"blankwhite.html", 
					"outWin", 
					"width=540,height=400,screenX="+x+",screenY="+y+",top="+y+",left="+x+","
					+"directories=no,location=false,menubar=yes,"
					+"scrollbars=yes,status=yes,toolbar=no,resizable=yes"
				);
		
				document.forms[0].target = 'outWin';
				document.forms[0].cmd.value = "download";
				document.forms[0].submit();
				
				document.forms[0].target = '';
			}
		}
	//-->
	</SCRIPT>
</head>

<body bgcolor="FFFFFF" text="#000000" 
	link="#FFFFFF" alink="#FFFF00" vlink="#FFFFFF"
	onMouseOver="hidePopupMenus();">

<form method=post action="<%=webquerytool_cfg.getAppRoot()%>/XSLWorkbench"> 

<input type=hidden name="op" value="process">
<input type=hidden name="page" value="XSLWorkbenchManage">
<input type=hidden name="cmd" value="">
<input type=hidden name="nextpage" value="">

<%@ include file="../pageheader.inc" %>

<TABLE width=90% align=center><TR><TD>

	<table border=0 cellpadding=2 cellspacing=0 align=center width=100%>
	
	<tr valign=top bgcolor=#6699CC>
		<td colspan=2>
			<font size=-1 face=sans-serif color=#FFFFFF>
			<b>Transformations:</b>
			</font>
		</td>
	</tr>
	
	<tr valign=top bgcolor=#C0C0C0>
		<td align=center valign="middle">
			<font size=-1 face=sans-serif>
			<input type=button value="Delete" 
				style="font-size:12"
				style="font-color:000000"
				style="background:C0C0C0"
				onClick="deleteXsl();">
			<br> <br>
			<input type=button value="Download" 
				style="font-size:12"
				style="font-color:000000"
				style="background:C0C0C0"
				onClick="downloadXsl();">
			</font>
		</td>
		
		<td align="center" valign="middle">
			<font size=-1 face=sans-serif>
			<select name=xsllist multiple size=10>
			
		<%	for( int i=0; i<cwqXslSavedList.size(); i++ )
			{
				Properties x = (Properties) cwqXslSavedList.elementAt(i);
		%>
				<OPTION value=<%= i %>>
					<%= x.get("name") %>
				</OPTION>
		<%	} %>
			</select>
			</font>
		</td>
	</tr>
	
	</table>

</TD></TR></TABLE>

</form>

<script language="JavaScript">
<!--
	if (<%= webquerytool_ui.getReloadMenu() %>)
		window.top.HeaderFrame.menuRe( 'Menu', 'refresh', '');
//-->
</script>

</body> 

</html> 
