<%@ page language="java" %>

<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="webquerytool_co" class="com.ibm.db2.cwq.catalog.CatObject" scope="session"/>
<jsp:useBean id="webquerytool_category" class="java.util.Vector" scope="session"/>
<jsp:useBean id="webquerytool_aliases" class="java.util.Vector" scope="session"/>
<jsp:useBean id="webquerytool_dest" class="java.lang.String" scope="session"/>

<%@ import="com.ibm.db2.WebQueryTool.util.*, java.lang.*"  %>

<% 
    response.setContentType( "text/vnd.wap.wml" );
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

    UserConnection uc =webquerytool_user.getConnection( 
    	webquerytool_user.getCurrentCon() 
    );
%>

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>
    <head>
		<meta name="COPYRIGHT" 
			content="IBM Corporation (c) 1999-2001, All Rights Reserved"/>
		<meta name="GENERATOR" 
			content="IBM Web Query Tool (c) 1999-2001, All Rights Reserved"/>

		<meta forua="true" 
			http-equiv="Cache-Control" content="no-cache"/>
		<meta forua="true" 
			http-equiv="Cache-Control" content="must-revalidate"/>
    </head>
    
<% 	if( webquerytool_user.getMsg().size() > 0 ) 
	{
		Properties m = new Properties();
		String eType = new String();
		String imageType;
%>
<card id="info">
	<do type="accept" label="Ok">
		<go href="#main"/>
	</do>

	<p>
<% 		for( int i=0; i<webquerytool_user.getMsg().size(); i++ ) 
		{
		    m = (Properties) webquerytool_user.getMsg().elementAt(i);

		    if( ((String)m.get("type")).equals("1") ) 
		    {
				eType = "ERROR";
				imageType="error";
		    } 
		    else 
		    {
				eType = "INFORMATION";
				imageType="info";
		    }
%>		
		<img alt="<%= eType %>" src="<%= webquerytool_cfg.getWebRoot(request)%>/msg<%= imageType %>.bmp"/>

		<br/>

		<%= WML.fixError((String)m.get("msg")) %>

<% 		} %>
	</p>
</card>
<% 	} %>



<card id="main">
	<onevent type="onenterforward">
		<refresh>
			<setvar name="newcreator" value="<%= webquerytool_co.getCreator() %>"/>
			<setvar name="category" value="<%= webquerytool_co.getCategory() %>"/>
			<setvar name="newname" value="<%= webquerytool_co.getName() %>"/>
			<setvar name="objecttype" value="<%= webquerytool_co.getType() %>"/>
<%  	// if there's an object present, they came from sqltext
		String outstring = "prop";
		if (webquerytool_ui.getCurrentObject().getObj().length() > 1)
		    outstring = "sqltext";
%>
   	    	<setvar name="origin" value="<%= outstring %>"/>
   	    	<setvar name="createcat" value=""/>
   	    	<setvar name="description" value="<%= webquerytool_co.getDescription() %>"/>
   	    	<setvar name="ow" value="<%= webquerytool_co.getBinaryPub().substring(1,2).equals("1")?"on":"off" %>"/>
   	    	<setvar name="ox" value="<%= webquerytool_co.getBinaryPub().substring(2,3).equals("1")?"on":"off" %>"/>
   	    	<setvar name="gr" value="<%= webquerytool_co.getBinaryPub().substring(3,4).equals("1")?"on":"off" %>"/>
   	    	<setvar name="gw" value="<%= webquerytool_co.getBinaryPub().substring(4,5).equals("1")?"on":"off" %>"/>
   	    	<setvar name="gx" value="<%= webquerytool_co.getBinaryPub().substring(5,6).equals("1")?"on":"off" %>"/>
   	    	<setvar name="ar" value="<%= webquerytool_co.getBinaryPub().substring(6,7).equals("1")?"on":"off" %>"/>
   	    	<setvar name="aw" value="<%= webquerytool_co.getBinaryPub().substring(7,8).equals("1")?"on":"off" %>"/>
   	    	<setvar name="ax" value="<%= webquerytool_co.getBinaryPub().substring(8,9).equals("1")?"on":"off" %>"/>
   	    	<setvar name="creator" value=""/>
   	    	<setvar name="gohere" value="<%= webquerytool_dest %>"/>
   	    </refresh>
   	</onevent>
    
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b>
	    <br/>
	    <i>Properties</i>
	</p>

	<p align="left" mode="nowrap">
	    <select>
	    	<option title="Set">
	    		<onevent type="onpick">
	    			<go href="#groupCard"/>
	    		</onevent>
	    		Group: ($(newcreator))
	    	</option>

	    	<option title="Set">
	    		<onevent type="onpick">
	    			<go href="<%= webquerytool_cfg.getBaseURL(request) %>/Menu"/>
	    		</onevent>
	    		Name: ($(newname))
	    	</option>

	    	<option title="Set">
	    		<onevent type="onpick">
	    			<go href="<%= webquerytool_cfg.getBaseURL(request) %>/Menu"/>
	    		</onevent>
				Category
	    	</option>

	    	<option title="Set">
	    		<onevent type="onpick">
	    			<go href="<%= webquerytool_cfg.getBaseURL(request) %>/Menu"/>
	    		</onevent>
	    		Description
	    	</option>

	    	<option title="Set">
	    		<onevent type="onpick">
	    			<go href="<%= webquerytool_cfg.getBaseURL(request) %>/Menu"/>
	    		</onevent>
	    		Permissions
	    	</option>

	    	<option title="Save">
	    		<onevent type="onpick">
	    			<go href="<%= webquerytool_cfg.getBaseURL(request) %>/Menu"/>
	    		</onevent>
	    		Save
	    	</option>

	    	<option title="Menu">
	    		<onevent type="onpick">
	    			<go href="<%= webquerytool_cfg.getBaseURL(request) %>/Menu"/>
	    		</onevent>
	    		Main
	    	</option>
	    </select>

	    <a href="<%= webquerytool_cfg.getWebRoot(request) %>/CatalogProp2.jsp#category" title="Category">Category</a><br/>
	    <a href="<%= webquerytool_cfg.getWebRoot(request) %>/CatalogProp2.jsp#description" title="Description">Description</a><br/>
	    <a href="<%= webquerytool_cfg.getWebRoot(request) %>/CatalogPropPerm.jsp" title="Permission">Permission</a>
	    
	    <do type="options" label="Options">
			<go href="<%= webquerytool_cfg.getWebRoot(request) %>/CatalogPropOptions.jsp"/>
	    </do>
	</p>   

</card>
    
<card id="groupCard">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>
	    <i>Set Group</i>
	</p>

	<p>
	    <b>Group</b>:

	    <select name="newcreator" value="$(newcreator)">
			<option onpick="#addGroupCard">
				Add
			</option>

<%		for (int i=0; i<webquerytool_aliases.size(); i++) { %>
		    <option value="<%= webquerytool_aliases.elementAt(i) %>">
		    	<%= webquerytool_aliases.elementAt(i) %>
		    </option>
<% 		} %>

	    </select>	    
	</p>
</card>
    

<card id="addGroupCard">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>
	    <i>Add Group</i>
	</p>

	<p>
	    New Group: <br/>

	    <input type="text" name="newcreator" value="$(newcreator)"/>
	</p>
</card>



<card id="nameCard">
	<do type="accept" label="Ok">
		<go href="#main1"/>
	</do>
	
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b>
	    <br/>
	    <i>Set Name</i><br/>
	</p>

	<p align="left">
	    <b>Name</b>: <br/>

	    <input type="text" name="newname"/>
	</p>
</card>


<card id="categoryCard">
	<do type="accept" label="Ok">
		<go href="#main1"/>
	</do>
	
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b>
	    <br/>
	    <i>Set Category</i><br/>
	</p>

	<p>
	    <select name="category" value="$(category)">
			<option onpick="#addcat">
				Add 
			</option>

			<option value=""> 
				No Category 
			</option>

<%	 	for( int i=0; i<webquerytool_category.size(); i++ ) { %>
			<option value="<%= webquerytool_category.elementAt(i) %>">
				<%= webquerytool_category.elementAt(i) %>
			</option>
<% 		} %>

	    </select>
	</p>
</card>


<card id="addCategoryCard">
	<do type="accept" label="Add">
		<go href="#main1"/>
	</do>
	
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b>
	    <br/>
	    <i>Add Category</i><br/>
	</p>

	<p align="left">
	    New Category: <br/>

	    <input type="text" name="category"/>
	</p>
</card>



<card id="descriptionCard">
	<do type="accept" label="Add">
		<go href="#main1"/>
	</do>
	
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b>
	    <br/>
	    <i>Description</i><br/>
	</p>

	<p align="left">
	    Description: <br/>

	    <input type="text" name="description" value="$(description)"/>
	</p>
</card>

</wml>
