<%@ page language="java" %>

<%@ page import="com.ibm.db2.cwq.util.UserConnection" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<jsp:useBean id="webquerytool_co" class="com.ibm.db2.cwq.catalog.CatObject" scope="session"/>

<% 
    response.setContentType( "text/vnd.wap.wml" );
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);
%>

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>
    <head>
	<meta name="COPYRIGHT" content="IBM Corporation (c) 1999-2000, All Rights Reserved"/>
	<meta name="GENERATOR" content="IBM Web Query Tool (c) 1999-2000, All Rights Reserved"/>
	<meta forua="true" http-equiv="Cache-Control" content="no-cache"/>
	<meta forua="true" http-equiv="Cache-Control" content="must-revalidate"/>
    </head>
    
    <card id="permcreator">
	<p mode="nowrap">
    	    <table columns="2" align="left">
    		<tr>
		    <td></td>
		    <td>Creator</td>
    		</tr>
    		<tr>
		    <td>Read</td>
		    <td>[on]</td>
    		</tr>
    		<tr>
		    <td>Write</td>
		    <td><a href="#ow">$(ow)</a></td>
    		</tr>
    		<tr>
		    <td>Execute</td>
		    <td><a href="#ox">$(ox)</a></td>
    		</tr>
	    </table>

	    <do type="options" label="Next">
		<go href="#permgroup"/>
	    </do>
	</p>
    </card>
    
    <card id="ow">
	<p>
	    <do type="accept" label="Ok">
		<go href="#permcreator"/>
	    </do>
	    
	    <select name="ow" value="$(ow)">
		<option value="on"> on </option>
		<option value="off"> off </option>
	    </select>
	</p>
    </card>

    <card id="ox">
	<p>
	    <do type="accept" label="Ok">
		<go href="#permcreator"/>
	    </do>
	    
	    <select name="ox" value="$(ox)">
		<option value="on"> on </option>
		<option value="off"> off </option>
	    </select>
	</p>
    </card>

    <card id="permgroup">
	<p mode="nowrap">
    	    <table columns="2" align="left">
    		<tr>
		    <td></td>
		    <td>Group</td>
    		</tr>
    		<tr>
		    <td>Read</td>
		    <td><a href="#gr">$(gr)</a></td>
    		</tr>
    		<tr>
		    <td>Write</td>
		    <td><a href="#gw">$(gw)</a></td>
    		</tr>
    		<tr>
		    <td>Execute</td>
		    <td><a href="#gx">$(gx)</a></td>
    		</tr>
	    </table>

	    <do type="options" label="Next">
		<go href="#permother"/>
	    </do>
	</p>
    </card>

    <card id="gr">
	<p>
	    <do type="accept" label="Ok">
		<go href="#permgroup"/>
	    </do>
	    
	    <select name="gr" value="$(gr)">
		<option value="on"> on </option>
		<option value="off"> off </option>
	    </select>
	</p>
    </card>

    <card id="gw">
	<p>
	    <do type="accept" label="Ok">
		<go href="#permgroup"/>
	    </do>
	    
	    <select name="gw" value="$(gw)">
		<option value="on"> on </option>
		<option value="off"> off </option>
	    </select>
	</p>
    </card>

    <card id="gx">
	<p>
	    <do type="accept" label="Ok">
		<go href="#permgroup"/>
	    </do>
	    
	    <select name="gx" value="$(gx)">
		<option value="on"> on </option>
		<option value="off"> off </option>
	    </select>
	</p>
    </card>

    <card id="permother">
	<p mode="nowrap">
    	    <table columns="2" align="left">
    		<tr>
		    <td></td>
		    <td>Other</td>
    		</tr>
    		<tr>
		    <td>Read</td>
		    <td><a href="#ar">$(ar)</a></td>
    		</tr>
    		<tr>
		    <td>Write</td>
		    <td><a href="#aw">$(aw)</a></td>
    		</tr>
    		<tr>
		    <td>Execute</td>
		    <td><a href="#ax">$(ax)</a></td>
    		</tr>
	    </table>

	    <do type="options" label="Ok">
		<go href="<%= webquerytool_cfg.getWebRoot(request) %>/CatalogProp2.jsp#main1"/>
	    </do>
	</p>
    </card>
    
    <card id="ar">
	<p>
	    <do type="accept" label="Ok">
		<go href="#permother"/>
	    </do>
	    
	    <select name="ar" value="$(ar)">
		<option value="on"> on </option>
		<option value="off"> off </option>
	    </select>
	</p>
    </card>

    <card id="aw">
	<p>
	    <do type="accept" label="Ok">
		<go href="#permother"/>
	    </do>
	    
	    <select name="aw" value="$(aw)">
		<option value="on"> on </option>
		<option value="off"> off </option>
	    </select>
	</p>
    </card>

    <card id="ax">
	<p>
	    <do type="accept" label="Ok">
		<go href="#permother"/>
	    </do>
	    
	    <select name="ax" value="$(ax)">
		<option value="on"> on </option>
		<option value="off"> off </option>
	    </select>
	</p>
    </card>
</wml>
