<%@ page language="java" %>

<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<% 
    response.setContentType( "text/vnd.wap.wml" );
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);


	// ============================================
	// calc page number
	int ipp = 5; 
	int pgnum = 1;

	if( request.getParameterValues("pgnum") != null )
	{
		pgnum = new Integer(request.getParameterValues("pgnum")[0]).intValue();

		if( pgnum == Math.abs(pgnum) )
			pgnum++;
		else
			pgnum = Math.abs(pgnum) - 1;

	}

	if( pgnum < 2 )
		pgnum = 1;


	// ============================================
	// get list of tables
	ListItem li = null;

	String item = new String();
	StringBuffer items = new StringBuffer();
	int pos = 0;
	int counter = 0;
	int addedCounter = 0;

	for( int i=0; i<webquerytool_ui.getTree().size(); i++ )
	{
	    li = (ListItem) webquerytool_ui.getTree().elementAt(i);
	    if( li.getPath().indexOf("/Table Data/Tables/") != -1 ) 
	    {
			item = li.getPath().substring(
				19+li.getPath().indexOf("/Table Data/Tables/"),
				li.getPath().length()
			);

			if( (pos = item.indexOf("/")) != -1 )
			{
				if( counter >= (pgnum-1)*ipp && counter <= pgnum*ipp )
				{
					addedCounter++;
					items.append(
						"<option value=\""+li.getId()+"\" title=\"Select\" onpick=\"#commands\">"
							+item.substring(0,pos) + "." + item.substring(pos+1,item.length())
						+"</option>"
					);
				}
				counter++;
			}
	    }
	}
	
	if( addedCounter == 0 ) {
	    items.append(
	    	"<option>No available tables.</option>"
	    );
 	}
%>


<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>

<head>
	<meta name="COPYRIGHT" content="IBM Corporation (c) 1999-2000, All Rights Reserved"/>
	<meta name="GENERATOR" content="IBM Web Query Tool (c) 1999-2000, All Rights Reserved"/>
	<meta forua="true" http-equiv="Cache-Control" content="no-cache"/>
	<meta forua="true" http-equiv="Cache-Control" content="must-revalidate"/>
</head>




<%	// ===================================================
	// Main Tables Card
	// =================================================== %>

<card id="main">
	<p align="center" mode="nowrap">
	    <b> DB2 Web Query </b> <br/>

	    <img alt="Tables" src="<%= webquerytool_cfg.getWebRoot(request)%>/tab.bmp"/>

	    <i>Tables</i> 

		<%= ((pgnum-1)*ipp)+1 %>-<%= pgnum*ipp %> of <%= counter %>
	</p>

	<p mode="nowrap">
	    <select name="tableslist">
<%	if( pgnum*ipp < counter ) { %>
			<option
				title="Next"
				onpick="<%=webquerytool_cfg.getWebRoot(request)%>/TablesTables.jsp?pgnum=<%= pgnum %>">
				Next <%= ipp %>
			</option>
<%	} %>

	    <%= items %>

<% 	if( ((pgnum-1)*ipp)+1 > 1 ) { %>
			<option
				title="Prev"
				onpick="<%=webquerytool_cfg.getWebRoot(request)%>/TablesTables.jsp?pgnum=-<%= pgnum %>">
				Previous <%= ipp %>
			</option>
<%	} %>

	    </select>
	</p>

</card>




<%	// ===================================================
	// Commands Card
	// =================================================== %>

<card id="commands">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>

	    <img alt="1" src="<%= webquerytool_cfg.getWebRoot(request)%>/tab.bmp"/>

	    <i>Commands</i>
	</p>

	<p align="left" mode="nowrap">
		<select name="cmd">
			<option title="Query"
				onpick="<%= webquerytool_cfg.getBaseURL(request) %>/TablesPage?op=process&amp;cmd=query&amp;objId=$(tableslist)">
				Query
			</option>

			<option title="Rename"
				onpick="<%= webquerytool_cfg.getBaseURL(request) %>/TablesPage?op=process&amp;cmd=rename&amp;objId=$(tableslist)">
				Rename
			</option>

			<option title="Empty" onpick="#confirmempty">
				Empty
			</option>

			<option title="Drop" onpick="#confirmdrop">
				Drop
			</option>
	    </select>
	</p>
</card>





<%	// ===================================================
	// Drop Confirm
	// =================================================== %>

<card id="confirmdrop">
	<do type="accept" label="Yes">
		<go href="<%= webquerytool_cfg.getBaseURL(request) %>/TablesPage?op=process&amp;cmd=drop&amp;objId=$(tableslist)"/>
	</do>

	<do type="option" label="No">
		<prev/>
	</do>

	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>

	    <img alt="1" src="<%= webquerytool_cfg.getWebRoot(request)%>/tab.bmp"/>

	    <i>Confirm Drop</i>
	</p>

	<p mode="wrap">
		Are you sure you want to drop this table?
	</p>
</card>






<%	// ===================================================
	// Empty Confirm
	// =================================================== %>

<card id="confirmempty">
	<do type="accept" label="Yes">
		<go href="<%= webquerytool_cfg.getBaseURL(request) %>/TablesPage?op=process&amp;cmd=empty&amp;objId=$(tableslist)"/>
	</do>

	<do type="option" label="No">
		<prev/>
	</do>

	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b> <br/>

	    <img alt="1" src="<%= webquerytool_cfg.getWebRoot(request)%>/tab.bmp"/>

	    <i>Confirm Empty</i>
	</p>

	<p mode="wrap">
		Are you sure you want to empty the contents of this table?
	</p>
</card>



<%	// ===================================================
	// Rename Card
	// =================================================== %>

<card id="rename">
	<p align="center" mode="nowrap">
	    <img alt="1" src="<%= webquerytool_cfg.getWebRoot(request)%>/tab.bmp"/>
	    &nbsp; <i>Rename</i> <br/>
	    ---------------
	</p>

	<p mode="nowrap">
		New Name : 
	</p>
</card>


</wml>
