<%@ page language="java" %>

<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Properties" %>
<%@ page import="java.util.Vector" %>

<jsp:useBean id="webquerytool_cfg" class="com.ibm.db2.cwq.util.Config" scope="session"/>
<jsp:useBean id="webquerytool_user" class="com.ibm.db2.cwq.util.User" scope="session"/>
<jsp:useBean id="webquerytool_ui" class="com.ibm.db2.cwq.util.UI" scope="session"/>

<% 
    response.setContentType( "text/vnd.wap.wml" );
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires",0);

	// get the current result set
	Properties rs = null;
	if( webquerytool_ui.getResultNum() != -1 )
	{
		rs = (Properties) webquerytool_ui.getResultsSets().elementAt(
			webquerytool_ui.getResultNum()
		);
	}
%>

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" 
	"http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>

<head>
	<meta name="COPYRIGHT" 
		content="IBM Corporation (c) 1999-2001, All Rights Reserved"/>
	<meta name="GENERATOR" 
		content="IBM Web Query Tool (c) 1999-2001, All Rights Reserved"/>

	<meta forua="true" 
		http-equiv="Cache-Control" content="no-cache"/>
	<meta forua="true" 
		http-equiv="Cache-Control" content="must-revalidate"/>
</head>

<card id="wapNavCard">
	<onevent type="onenterforward">
		<refresh>
			<setvar name="wapdatarow" value="<%= webquerytool_ui.getWapDataRow()+1 %>"/>
		</refresh>
	</onevent>
    
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b><br/>

	    <i>Data Navigation</i>
	</p>
		
	<p align="left" mode="nowrap">
	    <select name="cmd">
		    <option title="Next">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getBaseURL(request) %>/SQLText">
						<postfield name="op" value="process"/>
						<postfield name="page" value="sqlstatus"/>
						<postfield name="cmd" value="wapdisplay"/>
						<postfield name="waprow" value="n"/>
					</go>
				</onevent>
		    	Next
		    </option>

		    <option title="Prev">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getBaseURL(request) %>/SQLText">
						<postfield name="op" value="process"/>
						<postfield name="page" value="sqlstatus"/>
						<postfield name="cmd" value="wapdisplay"/>
						<postfield name="waprow" value="p"/>
					</go>
				</onevent>
		    	Previous
		    </option>

			<option title="First">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getBaseURL(request) %>/SQLText">
						<postfield name="op" value="process"/>
						<postfield name="page" value="sqlstatus"/>
						<postfield name="cmd" value="wapdisplay"/>
						<postfield name="waprow" value="f"/>
					</go>
				</onevent>
				First
			</option>

			<option title="Last">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getBaseURL(request) %>/SQLText">
						<postfield name="op" value="process"/>
						<postfield name="page" value="sqlstatus"/>
						<postfield name="cmd" value="wapdisplay"/>
						<postfield name="waprow" value="l"/>
					</go>
				</onevent>
				Last ( <%= rs.get("rows") %> )
			</option>

			<option title="Jump" onpick="#rowNumberCard">
				Row
			</option>

			<option title="Back">
				<onevent type="onpick">
					<go method="post" href="<%= webquerytool_cfg.getBaseURL(request) %>/SQLText">
						<postfield name="op" value="process"/>
						<postfield name="page" value="sqlstatus"/>
						<postfield name="cmd" value="wapcontrol"/>
					</go>
				</onevent>
				Query
			</option>

			<option title="Options">
				<onevent type="onpick">
					<go href="<%= webquerytool_cfg.getWebRoot(request) %>/OptionsPage.jsp"/>
				</onevent>
				Options
	    	</option>
	    </select>
	</p>
</card>
	




<card id="rowNumberCard">
	<p align="center" mode="nowrap">
	    <b>DB2 Web Query</b><br/>

	    <i>Enter Data Row</i> <br/>
	</p>

	<p align="left" mode="nowrap">
	    <do type="accept" label="Jump">
			<go method="post" href="<%= webquerytool_cfg.getBaseURL(request) %>/SQLText">
				<postfield name="op" value="process"/>
				<postfield name="page" value="sqlstatus"/>
				<postfield name="cmd" value="wapdisplay"/>
				<postfield name="waprow" value="$(wapdatarow)"/>
			</go>
	    </do>
		
	    <b>Row number: </b>

	    <input type="text" format="*n"
	    	name="wapdatarow" value="$(wapdatarow)"/>
	</p>
</card>



</wml>
